package com.frostwire.alexandria.db;

import java.util.HashSet;
import java.util.LinkedList;
import java.util.List;
import java.util.Set;

public final class InternetRadioStationsData {

    private List<List<Object>> data;
    public Set<String> nameSet;

    public InternetRadioStationsData() {
        data = new LinkedList<List<Object>>();
        nameSet = new HashSet<String>();

        add(data, "Yup! Radio", "Yup! Radio", "http://radio.wnolfm.com:80", "128 kbps", "MP3", "http://yupradio.com", "Misc", "");
        add(data, "DEFJAY.DE - 100% R&B! (GERMANY)", "DEFJAY.DE - 100% R&B! (GERMANY)", "http://87.230.56.41:80", "128 kbps", "MP3", "http://www.defjay.de", "Pop R&B Urban Rap Hip Hop", "");
        add(data, "Schlagerhoelle - wir heizen Euch ein mit Schlager und Discofox", "Schlagerhoelle - wir heizen Euch ein mit Schlager und Discofox", "http://80.237.155.20:30842", "128 kbps", "MP3", "http://www.schlagerhoelle.de", "Schlager Discofox", "");
        add(data, "French Kiss FM", "French Kiss FM", "http://88.190.24.47:80", "128 kbps", "MP3", "http://www.frenchkissfm.com", "electronic house techno dance", "");
        add(data, "Tutku Fm: GüZ YapRakLaRý-YahyA", "Tutku Fm: GüZ YapRakLaRý-YahyA", "http://109.123.116.194:8534", "40 kbps", "MP3", "http://www.tutkufm.net", "Pop slow türkçe", "");
        add(data, "Radio Paloma - 100% Deutscher Schlager!", "Radio Paloma - 100% Deutscher Schlager!", "http://80.237.184.27:80", "128 kbps", "MP3", "http://www.radiopaloma.de", "Pop Schlager", "");
        add(data, "DEFJAY.COM - 100% R&B! (USA/Europe)", "DEFJAY.COM - 100% R&B! (USA/Europe)", "http://83.169.60.56:80", "128 kbps", "MP3", "http://www.defjay.com", "Pop R&B Urban Rap Hip Hop", "");
        add(data, "Adom 106.3FM Powered by WisetecMediagh", "Adom 106.3FM Powered by WisetecMediagh", "http://67.159.60.45:8002", "16 kbps", "MP3", "http://www.adomonline.com", "Ghana", "");
        add(data, "Slow Radio (Love Songs and Easy Listening)", "Slow Radio (Love Songs and Easy Listening)", "http://46.105.30.8:80", "128 kbps", "MP3", "http://www.slowradio.com", "Love and Romance", "");
        add(data, "CINEMIX", "CINEMIX", "http://91.121.71.210:8000", "96 kbps", "MP3", "http://www.cinemix.us", "Soundtracks Classical New Age", "");
        add(data, "Sharmanka 104.0 Kiev", "Sharmanka 104.0 Kiev", "http://217.20.164.163:8006", "128 kbps", "MP3", "http://www.sharmanka.ua", "Top40", "");
        add(data, "Lux FM Kyiv", "Lux FM Kyiv", "http://91.220.161.56:8088", "96 kbps", "MP3", "http://www.lux.fm", "Pop", "");
        add(data, "89.0 RTL", "89.0 RTL", "http://80.237.156.60:80", "128 kbps", "MP3", "http://www.89.0rtl.de", "Top 40", "");
        add(data, "Venice Classic Radio Italia", "Venice Classic Radio Italia", "http://109.123.116.202:8022", "128 kbps", "MP3", "http://www.veniceclassicradio.eu/", "Classical", "");
        add(data, "Radio-Heimatmelodie.de - Volksmusik, volkstuemliche Schlager und stuendlich Nachrichten", "Radio-Heimatmelodie.de - Volksmusik, volkstuemliche Schlager und stuendlich Nachrichten", "http://212.77.178.166:8082", "128 kbps", "MP3", "http://www.Radio-Heimatmelodie.de", "Volksmusik", "");
        add(data, "Pinguin Radio", "Pinguin Radio", "http://81.173.3.254:80", "128 kbps", "MP3", "http://www.pinguinradio.nl", "Alternative", "");
        add(data, "FM4", "FM4", "http://194.232.200.150:8000", "120 kbps", "MP3", "http://fm4.orf.at", "Alternative Mainstream", "");
        add(data, "Asempa 94.7FM Powered by Mediagh", "Asempa 94.7FM Powered by Mediagh", "http://67.159.60.45:8006", "16 kbps", "MP3", "http://www.asempaonline.com", "Ghana", "");
        add(data, "GAY FM - Pure Dance!", "GAY FM - Pure Dance!", "http://80.237.211.64:80", "128 kbps", "MP3", "http://www.gayfm.de", "Pop Dance Electronic R&B", "");
        add(data, "RockRadio1.Com - Classic Hard Rock and Heavy Metal Mix, 24/7 Live Requests / www.rockradio1.com", "RockRadio1.Com - Classic Hard Rock and Heavy Metal Mix, 24/7 Live Requests / www.rockradio1.com", "http://77.74.192.50:8000", "192 kbps", "MP3", "http://www.rockradio1.com", "Metal Classic Rock", "");
        add(data, "JilJil Radio", "JilJil Radio", "http://67.213.217.212:80", "64 kbps", "MP3", "http://www.jiljilradio.com", "Tamil", "");
        add(data, "HIT104 - Your Top 40 Channel", "HIT104 - Your Top 40 Channel", "http://80.237.210.79:80", "128 kbps", "MP3", "http://www.hit104.com", "Pop Top 40 Pop Dance R&B Urban", "");
        add(data, "Radio Carsija - Melli", "Radio Carsija - Melli", "http://80.237.153.95:19406", "64 kbps", "MP3", "http://www.radiocarsija.com", "Naroda Zabavna ExYu  BiH Muzika", "");
        add(data, "Radio Face FM88.1", "Radio Face FM88.1", "http://87.229.73.132:7000", "160 kbps", "MP3", "http://www.facebook.com/radiofacefm881", "House", "");
        add(data, "RMNradio....Music Fun and More!", "RMNradio....Music Fun and More!", "http://212.48.110.70:8022", "128 kbps", "MP3", "http://www.RMNradio.FM", "Charts Top 40 Pop 80's Rock", "");
        add(data, "My Station name", "My Station name", "http://69.64.58.132:8001", "56 kbps", "MP3", "http://www.audiorealm.com", "Various", "");
        add(data, "HITPARTY - www.hitparty.fr - Live From France - Only Hits ! No Ads !", "HITPARTY - www.hitparty.fr - Live From France - Only Hits ! No Ads !", "http://88.190.224.133:443", "192 kbps", "MP3", "http://www.hitparty.fr", "Hit Top40 Dance Pop", "");
        add(data, "La X Estereo - 100% Pura Salsa", "La X Estereo - 100% Pura Salsa", "http://208.43.81.168:8662", "128 kbps", "MP3", "http://www.laxestereo.com", "Salsa Latin Colombia", "");
        add(data, "The Flaming Lips - 7 Skies H3", "The Flaming Lips - 7 Skies H3", "http://66.55.144.67:8048", "128 kbps", "MP3", "http://www.flaminglipstwentyfourhoursong.com", "Avant Garde", "");
        add(data, "670 am KIRN", "670 am KIRN", "http://174.36.167.220:9000", "32 kbps", "MP3", "http://www.670amkirn.com", "Various", "");
        add(data, "Rock & Pop alsterradio", "Rock & Pop alsterradio", "http://62.75.154.4:80", "0 kbps", "MP3", "http://www.alsterradio.de", "Rock & Pop", "");
        add(data, "Radio Paloma - 100% Deutscher Schlager!", "Radio Paloma - 100% Deutscher Schlager!", "http://80.237.210.42:80", "128 kbps", "MP3", "http://www.radiopaloma.de", "Pop Schlager", "");
        add(data, "Power 106 FM Jamaica on Go-Jamaica (Justice, Independent Talk, Dear Pastor, Real Business )", "Power 106 FM Jamaica on Go-Jamaica (Justice, Independent Talk, Dear Pastor, Real Business )", "http://64.202.98.51:7550", "24 kbps", "MP3", "http://go-jamaica.com/power", "News & Talk", "");
        add(data, "COUNTRY 108 - Your Country Music Station!", "COUNTRY 108 - Your Country Music Station!", "http://80.237.210.44:80", "128 kbps", "MP3", "http://www.country108.com", "Country", "");
        add(data, "Radio Marimanga - Shqip - Danimark", "Radio Marimanga - Shqip - Danimark", "http://91.82.85.71:9084", "56 kbps", "MP3", "http://www.radiomarimanga.com", "Shqip, albanian, kosova", "");
        add(data, "RAC1. Des de Catalunya per tot el mon", "RAC1. Des de Catalunya per tot el mon", "http://188.165.129.245:8090", "48 kbps", "MP3", "http://www.rac1.cat", "Various", "");
        add(data, "Radio Transcontinental FM 104,7 Mhz SP", "Radio Transcontinental FM 104,7 Mhz SP", "http://174.122.252.82:8068", "32 kbps", "MP3", "http://www.transcontinentalfm.com.br", "Samba", "");
        add(data, "Jemne Melodie: jemne melodie live", "Jemne Melodie: jemne melodie live", "http://93.184.69.143:8000", "128 kbps", "MP3", "http://www.jemnemelodie.com/redirect.cgi?url=http://www.jemnemelodie.sk", "Soft AC", "");
        add(data, "Oldies104 (Powered By Star104.net)", "Oldies104 (Powered By Star104.net)", "http://205.188.215.228:8010", "128 kbps", "MP3", "http://www.oldies104.net", "Oldies Decades 50s 60s 70s", "");
        add(data, "Live BeatlesRadio.com visit fab4store.com", "Live BeatlesRadio.com visit fab4store.com", "http://64.40.99.2:8088", "128 kbps", "MP3", "http://www.beatlesradio.com", "Oldies/Rock", "");
        add(data, "Radio Pendimi Studio 1 Austri", "Radio Pendimi Studio 1 Austri", "http://46.4.78.194:35505", "48 kbps", "MP3", "http://www.radio-pendimi.com", "Islam,Shqip,Kuran,Albanian,Kosova,Ligjerata,ders,ilahi,Hutbe,Hoxha,Religion", "");
        add(data, "KEXP 90.3 FM Seattle", "KEXP 90.3 FM Seattle", "http://140.142.8.207:8000", "128 kbps", "MP3", "http://www.kexp.org", "Misc", "");
        add(data, "Classical96.3 FM", "Classical96.3 FM", "http://199.27.180.184:443", "128 kbps", "MP3", "http://www.classical963fm.com/", "Classical", "");
        add(data, "Signal FM, 90.5 - En Direct 24/24 Depuis Port-Au-Prince, Haiti", "Signal FM, 90.5 - En Direct 24/24 Depuis Port-Au-Prince, Haiti", "http://64.15.132.62:8078", "40 kbps", "MP3", "http://www.signalfmhaiti.com", "Misc", "");
        add(data, "CALMRADIO.COM - SOLO PIANO & GUITAR - Sampler", "CALMRADIO.COM - SOLO PIANO & GUITAR - Sampler", "http://173.192.225.172:8200", "128 kbps", "", "http://calmradio.com - Commercial-free memberships are available NOW from CalmRadio.com - Get yours TODAY!", "New Age Ambient", "");
        add(data, "AngelsFox-Radio - Discofox Party und Pop Schlager", "AngelsFox-Radio - Discofox Party und Pop Schlager", "http://84.19.186.248:8020", "128 kbps", "MP3", "http://www.angelsfox-radio.de", "European Pop Dance", "");
        add(data, "DJFM Ukraine", "DJFM Ukraine", "http://217.20.164.163:8010", "128 kbps", "MP3", "http://www.djfm.ua", "Various", "");
        add(data, "Kuschel.FM - Das Kuschelradio - Ready For Love", "Kuschel.FM - Das Kuschelradio - Ready For Love", "http://80.237.155.20:8040", "128 kbps", "MP3", "http://www.kuschel.fm", "Lovesongs Balladen Kuschelsongs", "");
        add(data, "Oldies - The 50s, 60s, & 70s - SKY.FM - three decades of great oldies on www.sky.fm", "Oldies - The 50s, 60s, & 70s - SKY.FM - three decades of great oldies on www.sky.fm", "http://160.79.128.61:5048", "96 kbps", "MP3", "http://www.sky.fm/oldies/", "Decades Oldies 60s 70s", "");
        add(data, "WBGL", "WBGL", "http://66.225.205.47:80", "96 kbps", "MP3", "http://www.wbgl.org", "Contemporary Christian", "");
        add(data, "Shanson 101.9 Kiev - 128kbps", "Shanson 101.9 Kiev - 128kbps", "http://217.20.164.163:8002", "128 kbps", "MP3", "http://www.shanson.ua", "Various", "");
        add(data, "KUOW High Bandwidth", "KUOW High Bandwidth", "http://128.208.34.80:8002", "128 kbps", "MP3", "http://shoutcast.kuow.org:8002/listen.pls", "News", "");
        add(data, "181.fm - Rock 181 (Active Rock)", "181.fm - Rock 181 (Active Rock)", "http://69.4.232.112:8168", "128 kbps", "MP3", "http://www.181.fm", "Rock", "");
        add(data, "MovidaMix.com - 24hs de musica", "MovidaMix.com - 24hs de musica", "http://173.193.46.104:8128", "64 kbps", "MP3", "http://www.movidamix.com/", "Latin,Cumbia,Reggaeton", "");
        add(data, "STAR FM Berlin 87.9  MAXIMUM ROCK!", "STAR FM Berlin 87.9  MAXIMUM ROCK!", "http://80.237.153.93:8000", "128 kbps", "MP3", "http://berlin.starfm.de", "Rock, Alternative, Classic Rock, Hard Rock, Adult Album Alternative, Rock & Roll", "");
        add(data, "Radio Menta-fm.co.il", "Radio Menta-fm.co.il", "http://212.150.101.39:8888", "64 kbps", "MP3", "http://Www.Menta-Fm.Co.il", "îåñé÷ä áøöó", "");
        add(data, "Fusion Radio. The Future of Dance", "Fusion Radio. The Future of Dance", "http://65.60.34.34:8004", "128 kbps", "MP3", "http://www.fusionradio.fm", "Electric Dance Pop", "");
        add(data, "181.fm - Awesome 80's", "181.fm - Awesome 80's", "http://67.213.214.248:9868", "128 kbps", "MP3", "http://www.181.fm", "80s Pop Rock Top 40", "");
        add(data, "RadioMv.com | Russian Christian Radio (128 Kbps)", "RadioMv.com | Russian Christian Radio (128 Kbps)", "http://65.19.173.132:2204", "128 kbps", "MP3", "http://www.RadioMv.com", "Spiritual, Religious, Russian", "");
        add(data, "(Streaming by totalMEDIA): radio cream.fm", "(Streaming by totalMEDIA): radio cream.fm", "http://87.118.78.29:9000", "128 kbps", "MP3", "http://www.crem.fm", "Mixed", "");
        add(data, "Narodni radio", "Narodni radio", "http://173.192.137.34:8030", "96 kbps", "MP3", "http://www.narodni.hr", "Various", "");
        add(data, "((( WEFUNK Radio ))) . raw uncut funk . classic & underground hip-hop . playlist & archive on wefunkradio.com", "((( WEFUNK Radio ))) . raw uncut funk . classic & underground hip-hop . playlist & archive on wefunkradio.com", "http://205.188.215.229:8018", "64 kbps", "MP3", "http://www.wefunkradio.com/", "Funk,Rap,Hip Hop,R&B/Urban,70s,Underground Hip-Hop,Soul,East Coast Rap", "");
        add(data, "HPR1: Traditional Classic Country from Heartland Public Radio", "HPR1: Traditional Classic Country from Heartland Public Radio", "http://130.166.82.14:8006", "128 kbps", "MP3", "http://www.hpr.org", "Country", "");
        add(data, "Soulful House - DIGITALLY IMPORTED - house music selected from Paris with love!", "Soulful House - DIGITALLY IMPORTED - house music selected from Paris with love!", "http://205.188.215.232:8016", "96 kbps", "MP3", "http://www.di.fm/soulfulhouse/", "Electronic Soulful House Deep", "");
        add(data, "NAXI RADIO 96,9MHz - Beograd - www.naxi.rs", "NAXI RADIO 96,9MHz - Beograd - www.naxi.rs", "http://193.243.169.34:9160", "64 kbps", "MP3", "http://www.naxi.rs", "Pop - Soft rock", "");
        add(data, "Radio Schwarze Welle - Das Radio mit den besten dunklen Liedern", "Radio Schwarze Welle - Das Radio mit den besten dunklen Liedern", "http://85.25.150.163:7500", "128 kbps", "MP3", "http://www.schwarze-welle.de", "Gothic DarkWave EBM Alternative", "");
        add(data, "Scratch Radio & Dj Studio", "Scratch Radio & Dj Studio", "http://174.36.206.217:8572", "128 kbps", "MP3", "https://www.scratch-eg.com/index1.html", "Unspecified", "");
        add(data, "Clube FM", "Clube FM", "http://187.17.67.228:9082", "128 kbps", "MP3", "http://www.audiorealm.com", "Various", "");
        add(data, "JACK FM - ALL HIT RADIO", "JACK FM - ALL HIT RADIO", "http://80.237.210.91:80", "128 kbps", "MP3", "http://www.jackfm.de", "Pop Top 40", "");
        add(data, "RMX - Gdl.", "RMX - Gdl.", "http://208.53.138.151:8080", "56 kbps", "MP3", "http://www.rmx.com.mx", "Rock", "");
        add(data, "Eazy1055", "Eazy1055", "http://202.44.54.186:8105", "64 kbps", "MP3", "http://www.eazyfm.com", "Eazy", "");
        add(data, "((( R A D I O D I S C O P O L O F M ))) - Lepsze niz RMF FM, radio ZET, radio Eska i Polskie Radio", "((( R A D I O D I S C O P O L O F M ))) - Lepsze niz RMF FM, radio ZET, radio Eska i Polskie Radio", "http://213.186.47.190:9000", "128 kbps", "MP3", "http://www.discopolo.fm", "disco polo, disko polo", "");
        add(data, "a1180hits", "a1180hits", "http://67.228.177.199:80", "64 kbps", "MP3", "http://a11hits.com", "80s", "");
        add(data, "Joy 99.7FM Powered by Mediagh", "Joy 99.7FM Powered by Mediagh", "http://67.159.60.45:8000", "16 kbps", "MP3", "http://www.myjoyonline.com", "Ghana", "");
        add(data, "~ HouseSection - Austrian House Music WebRadio - MusicBase.FM ~", "~ HouseSection - Austrian House Music WebRadio - MusicBase.FM ~", "http://89.31.134.142:84", "128 kbps", "MP3", "http://www.musicbase.fm", "mixed", "");
        add(data, "BNR Nieuwsradio", "BNR Nieuwsradio", "http://81.173.3.251:80", "128 kbps", "MP3", "http://www.bnr.nl", "news", "");
        add(data, "XHBIO - FIESTA MEXICANA - Grupo Promomedios Radio. Guadalajara, Jalisco, Mexico.", "XHBIO - FIESTA MEXICANA - Grupo Promomedios Radio. Guadalajara, Jalisco, Mexico.", "http://66.7.201.163:8004", "56 kbps", "MP3", "http://www.fiestamexicanafm.com", "Regional mexicana", "");
        add(data, "Som Sertanejo", "Som Sertanejo", "http://64.15.147.221:12016", "24 kbps", "MP3", "http://www.somsertanejo.com.br", "Sertanejo", "");
        add(data, "1Dance.FM - Today's Dance Hits", "1Dance.FM - Today's Dance Hits", "http://173.192.207.51:8062", "128 kbps", "MP3", "http://1dance.fm", "Electronic Dance  House Top 40", "");
        add(data, "La Grosse Radio Reggae - Dub Dancehall Roots - From Paris - www.LaGrosseRadio.com", "La Grosse Radio Reggae - Dub Dancehall Roots - From Paris - www.LaGrosseRadio.com", "http://176.31.246.142:8300", "192 kbps", "MP3", "http://www.lagrosseradio.com", "Reggae Roots Dub Dancehall", "");
        add(data, "AM 1710 Antioch OTR, Scheduled Old-time radio sub-genres and preferring today's date", "AM 1710 Antioch OTR, Scheduled Old-time radio sub-genres and preferring today's date", "http://209.9.238.5:9022", "24 kbps", "MP3", "http://radio.macinmind.com", "Talk Old Time Radio", "");
        add(data, "CROOZE - A unique mix of Smooth and Acid Jazz, R&B, Latin, Soul, Chill & Lounge from the heart of Europe", "CROOZE - A unique mix of Smooth and Acid Jazz, R&B, Latin, Soul, Chill & Lounge from the heart of Europe", "http://193.227.114.74:9000", "128 kbps", "MP3", "http://www.crooze.fm", "Smooth Jazz Soul Latin R&B", "");
        add(data, "Rádio Interativa FM 94,9Mhz - Goiânia", "Rádio Interativa FM 94,9Mhz - Goiânia", "http://187.45.214.161:8100", "128 kbps", "MP3", "http://www.interativafm.net", "pop", "");
        add(data, "Public Domain Jazz - Swiss Internet Radio - Shoutcast Streaming Technology by www.init7.net", "Public Domain Jazz - Swiss Internet Radio - Shoutcast Streaming Technology by www.init7.net", "http://82.197.165.138:80", "128 kbps", "MP3", "http://radio.publicdomainproject.org", "Big Band Jazz Swing", "");
        add(data, "KICKRADIO, 80's & 90's Hits", "KICKRADIO, 80's & 90's Hits", "http://173.193.202.87:8085", "128 kbps", "MP3", "http://www.kickradio.nl", "80s 90s Decades", "");
        add(data, "radio-fx.com | Radio-FX Hip Hop & R&B | @radiofx", "radio-fx.com | Radio-FX Hip Hop & R&B | @radiofx", "http://208.80.53.108:26368", "128 kbps", "MP3", "http://www.radio-fx.com/", "Hip-Hop", "");
        add(data, "~ BlackSection - Austrian Black Music WebRadio - MusicBase.FM ~", "~ BlackSection - Austrian Black Music WebRadio - MusicBase.FM ~", "http://89.31.134.106:90", "192 kbps", "MP3", "http://www.musicbase.fm", "mixed", "");
        add(data, "Dogglounge Deep House Radio: Dogglounge Deep House Radio", "Dogglounge Deep House Radio: Dogglounge Deep House Radio", "http://66.165.171.58:8000", "128 kbps", "MP3", "http://www.dogglounge.com", "deep house electronic", "");
        add(data, "POWER FM", "POWER FM", "http://46.20.4.42:8110", "64 kbps", "MP3", "http://www.powerfm.com.tr", "POP", "");
        add(data, "Folk Alley  (( All Folk.  All The Time.  ))", "Folk Alley  (( All Folk.  All The Time.  ))", "http://66.225.205.8:8000", "128 kbps", "MP3", "http://www.folkalley.com", "Folk", "");
        add(data, "ROCKY FM - Today's Best Rock!", "ROCKY FM - Today's Best Rock!", "http://80.237.210.81:80", "128 kbps", "MP3", "http://www.rockyfm.de", "Rock Pop", "");
        add(data, "WUNC FM", "WUNC FM", "http://152.2.63.68:8000", "64 kbps", "MP3", "http://www.wunc.org", "Public Radio", "");
        add(data, "Shems FM", "Shems FM", "http://217.114.200.116:80", "128 kbps", "MP3", "http://www.shemsfm.net", "Various", "");
        add(data, "Tamil Star FM", "Tamil Star FM", "http://174.36.206.197:8052", "64 kbps", "MP3", "http://www.tamilstar.fm", "Tamil", "");
        add(data, "RADIO SOUND POP - BRASIL", "RADIO SOUND POP - BRASIL", "http://173.193.202.68:7460", "64 kbps", "MP3", "http://radiosoundpop.org", "Dance, pop, rock", "");
        add(data, "Classical & Flamenco Guitar - SKY.FM - a mix of classical, spanish, and flamenco guitar", "Classical & Flamenco Guitar - SKY.FM - a mix of classical, spanish, and flamenco guitar", "http://207.200.96.229:8016", "96 kbps", "MP3", "http://www.sky.fm/guitar/", "Flamenco Classical Guitar", "");
        add(data, "Radio City Fun Ka Antenna", "Radio City Fun Ka Antenna", "http://208.115.222.205:9998", "48 kbps", "MP3", "http://www.planetradiocity.com", "Various", "");
        add(data, "Salsa - SKY.FM - Best Salsa Collection now on www.sky.fm", "Salsa - SKY.FM - Best Salsa Collection now on www.sky.fm", "http://205.188.215.231:8010", "96 kbps", "MP3", "http://www.sky.fm/salsa/", "Latin Salsa", "");
        add(data, "LA X ELECTRONICA", "LA X ELECTRONICA", "http://66.240.202.106:8074", "128 kbps", "MP3", "www.laxelectronica.com", "ELECTRONICA", "");
        add(data, "BigUpRadio Champion Sound Dancehall Reggae", "BigUpRadio Champion Sound Dancehall Reggae", "http://173.236.79.21:8000", "128 kbps", "MP3", "http://www.bigupradio.com", "reggae", "");
        add(data, "COOL radio", "COOL radio", "http://213.239.205.210:6020", "64 kbps", "MP3", "http://www.coolradio.rs", "Folk", "");
        add(data, "Space Station Soma: Tune in, turn on, space out. Ambient and mid-tempo electronica. [SomaFM]", "Space Station Soma: Tune in, turn on, space out. Ambient and mid-tempo electronica. [SomaFM]", "http://205.188.215.227:8014", "128 kbps", "MP3", "http://somafm.com", "Space Electronica", "");
        add(data, "CALMRADIO.COM - SOLO PIANO - Sampler", "CALMRADIO.COM - SOLO PIANO - Sampler", "http://173.192.225.172:9208", "128 kbps", "", "http://calmradio.com - Commercial-free memberships are available NOW from CalmRadio.com - Get yours TODAY!", "Classical", "");
        add(data, ">>> POLSKASTACJA .PL >>> - HOT 100 - Goraca Setka Nowych HITOW (Polskie Radio)", ">>> POLSKASTACJA .PL >>> - HOT 100 - Goraca Setka Nowych HITOW (Polskie Radio)", "http://91.121.164.186:5900", "128 kbps", "MP3", "http://www.polskastacja.pl", "Top 40,Polskie,Polska", "");
        add(data, "OE 1", "OE 1", "http://194.232.200.152:8000", "120 kbps", "MP3", "http://oe1.orf.at", "Classic", "");
        add(data, "SomaFM presents: Indie Pop Rocks! [SomaFM]", "SomaFM presents: Indie Pop Rocks! [SomaFM]", "http://173.192.176.180:8090", "128 kbps", "MP3", "http://somafm.com/recent?indie", "Indie LoFi College", "");
        add(data, "PulsRadio Version Trance - Trance, Uplift, Vocal Trance - www.pulsradio.com - Live From France", "PulsRadio Version Trance - Trance, Uplift, Vocal Trance - www.pulsradio.com - Live From France", "http://193.17.192.12:80", "192 kbps", "MP3", "http://www.pulsradio.com", "Techno Trance Electronic", "");
        add(data, "das ORRiginal", "das ORRiginal", "http://91.82.85.44:9008", "256 kbps", "MP3", "onkelzradio.de", "rock", "");
        add(data, "KUOW Low Bandwidth", "KUOW Low Bandwidth", "http://128.208.34.80:8000", "32 kbps", "MP3", "http://shoutcast.kuow.org:8000/listen.pls", "News", "");
        add(data, "Radio Melodie - Volksmusik mit Herz - Radiomelodie", "Radio Melodie - Volksmusik mit Herz - Radiomelodie", "http://212.48.110.70:8020", "128 kbps", "MP3", "http://www.radiomelodie.de", "60s", "");
        add(data, "ChristianRock.Net", "ChristianRock.Net", "http://207.210.88.138:5112", "128 kbps", "MP3", "http://www.christianrock.net", "Christian Rock", "");
        add(data, "Del Plata  95.5", "Del Plata  95.5", "http://184.173.77.4:7920", "64 kbps", "MP3", "www.delplatafm.com", "Hits", "");
        add(data, "minimalstation.fm", "minimalstation.fm", "http://64.150.176.192:8227", "128 kbps", "MP3", "http://www.minimalstation.fm/", "minimal techno", "");
        add(data, "LATINO FM EN DIRECTO (www.latinofm.es) MALAGA ANDALUCIA ESPANA SPAIN ESPANOL LATINA", "LATINO FM EN DIRECTO (www.latinofm.es) MALAGA ANDALUCIA ESPANA SPAIN ESPANOL LATINA", "http://92.48.107.35:8000", "128 kbps", "MP3", "http://www.latinofm.es", "POP LATINA LATIN", "");
        add(data, "Hiru FM", "Hiru FM", "http://85.25.108.20:8010", "96 kbps", "MP3", "http://www.hirufm.lk", "", "");
        add(data, "The Doo-Wop Express", "The Doo-Wop Express", "http://64.20.42.58:8034", "128 kbps", "MP3", "http://www.thedoowopexpress.com", "Oldies", "");
        add(data, "Antenne 50plus", "Antenne 50plus", "http://81.169.167.228:8000", "160 kbps", "MP3", "", "Schlager, Oldies, Rock, Pop", "");
        add(data, "AnimeRadio.SU", "AnimeRadio.SU", "http://78.46.91.38:8000", "128 kbps", "MP3", "http://animeradio.su/", "J-Music", "");
        add(data, "LOLLIRADIO ITALIA - Best Italian Songs - Italy Italia", "LOLLIRADIO ITALIA - Best Italian Songs - Italy Italia", "http://94.23.67.172:8010", "64 kbps", "AAC+", "http://www.lolliradio.net", "Hits Italy Pop World", "");
        add(data, "Ok Radio 128Kbit/s Server EU 128 Kbit/s", "Ok Radio 128Kbit/s Server EU 128 Kbit/s", "http://80.237.210.23:8052", "128 kbps", "MP3", "http://www.okradio.net", "Folk", "");
        add(data, "www.shamfm.fm", "www.shamfm.fm", "http://184.107.180.50:8200", "40 kbps", "MP3", "www.shamfm.fm", "classical", "");
        add(data, "Rádio Positiva Sertaneja", "Rádio Positiva Sertaneja", "http://173.192.234.12:8200", "96 kbps", "MP3", "http://www.positivafm.com.br/", "Country", "");
        add(data, "Maringá Fm", "Maringá Fm", "http://88.190.23.49:8039", "96 kbps", "MP3", "www.maringafm.com.br", "Various", "");
        add(data, "PULS FM - Pure Dance Radio!", "PULS FM - Pure Dance Radio!", "http://87.230.82.41:80", "160 kbps", "MP3", "http://www.pulsfm.de", "Pop Dance Electronic R&B", "");
        add(data, "Dominion Live Radio", "Dominion Live Radio", "http://208.110.69.125:8226", "56 kbps", "MP3", "http://www.shoutcast.com", "classical", "");
        add(data, "DeepFM", "DeepFM", "http://195.66.134.42:80", "128 kbps", "MP3", "http://deep.fm", "Dance", "");
        add(data, ">>> POLSKASTACJA .PL >>> - Muzyka na TOPIE (Polskie Radio) 128kbps", ">>> POLSKASTACJA .PL >>> - Muzyka na TOPIE (Polskie Radio) 128kbps", "http://91.121.157.138:80", "128 kbps", "MP3", "http://www.polskastacja.pl", "Top 40,Polskie,Polska", "");
        add(data, "4CLUBBERS", "4CLUBBERS", "http://94.23.226.80:8500", "128 kbps", "MP3", "http://www.4clubbers.fm", "lounge chillout nu jazz  smooth", "");
        add(data, "Okay 101.7FM Accra Powered by Mediagh", "Okay 101.7FM Accra Powered by Mediagh", "http://67.159.60.45:8052", "16 kbps", "MP3", "http://www.peacefmonline.com", "Ghana", "");
        add(data, "Radio Morava :: Jagodina :: www.radiomorava.rs", "Radio Morava :: Jagodina :: www.radiomorava.rs", "http://78.129.199.49:12100", "128 kbps", "MP3", "http://www.radiomorava.rs", "Narodna muzika", "");
        add(data, "VirtualDJ Radio TheGrind Channel 2 (Virtual DJ Radio) :: DJ Jynxx", "VirtualDJ Radio TheGrind Channel 2 (Virtual DJ Radio) :: DJ Jynxx", "http://88.190.229.29:7000", "96 kbps", "MP3", "http://www.virtualdj.com/", "Urban", "");
        add(data, "Reggae141.com", "Reggae141.com", "http://204.45.73.122:8014", "128 kbps", "MP3", "http://www.reggae141.com", "Reggae", "");
        add(data, "Radio Disney Uruguay", "Radio Disney Uruguay", "http://184.173.77.4:7928", "64 kbps", "MP3", "www.radiodisney.com.uy", "Top 40", "");
        add(data, "Radyo POP", "Radyo POP", "http://46.20.4.11:80", "192 kbps", "MP3", "http://www.radyopop.com", "POP", "");
        add(data, "MKM CARAIBES", "MKM CARAIBES", "http://88.190.21.83:5050", "128 kbps", "MP3", "http://www.mkmradio.com", "zouk,african,dancehall,salsa", "");
        add(data, "Rock&Pop - PY", "Rock&Pop - PY", "http://65.254.54.218:8600", "56 kbps", "MP3", "http://www.rockandpop.com.py", "Misc", "");
        add(data, "RADIO fresh80s - Hier sind die Achtziger zuhause!", "RADIO fresh80s - Hier sind die Achtziger zuhause!", "http://87.118.114.133:8010", "192 kbps", "MP3", "http://www.fresh80s.de", "80s Pop Rock Oldies Decades", "");
        add(data, "Radio Whisper", "Radio Whisper", "http://93.114.40.71:6250", "128 kbps", "MP3", "http://www.radiowhisper.com/", "Misc", "");
        add(data, "NonStopPlay.com Dance Radio : 128k", "NonStopPlay.com Dance Radio : 128k", "http://91.121.201.4:80", "128 kbps", "MP3", "http://www.nonstopplay.com", "Dance Pop", "");
        add(data, "BluntLife Radio", "BluntLife Radio", "http://204.45.6.58:8036", "128 kbps", "MP3", "http://radio.bluntlife.ca", "Reggae", "");
        add(data, "M2 LOVE : ONLY LOVE SONGS - Live From Paris France - www.m2radio.fr", "M2 LOVE : ONLY LOVE SONGS - Live From Paris France - www.m2radio.fr", "http://88.190.31.35:9050", "128 kbps", "MP3", "http://www.m2radio.fr", "Love 80s 90s Pop Rock", "");
        add(data, "www.energia.fm", "www.energia.fm", "http://69.64.58.132:8005", "48 kbps", "MP3", "http://www.energia.fm/online", "Reggaeton", "");
        add(data, "Pianorama", "Pianorama", "http://188.127.226.185:80", "128 kbps", "MP3", "http://pianorama.ru", "new age", "");
        add(data, "UZIC.CH :: TECHNO - MINIMAL :: best of electronic with techno minimal electro house and progressive", "UZIC.CH :: TECHNO - MINIMAL :: best of electronic with techno minimal electro house and progressive", "http://128.179.101.9:9010", "128 kbps", "MP3", "http://radio.uzic.ch", "TECHNO MINIMAL ELECTRONIC", "");
        add(data, "C89.5", "C89.5", "http://208.76.152.74:8000", "128 kbps", "MP3", "http://www.c895worldwide.com", "Dance", "");
        add(data, "Renessans 94.2 - 128 kbps", "Renessans 94.2 - 128 kbps", "http://217.20.164.163:8014", "128 kbps", "MP3", "http://www.jazzfm.com.ua", "Jazz", "");
        add(data, "Broadcasting live Bassoradio", "Broadcasting live Bassoradio", "http://188.117.44.132:8000", "128 kbps", "MP3", "http://www.basso.fi", "N/A", "");
        add(data, "GOLD FM - Die Groessten Evergreens!", "GOLD FM - Die Groessten Evergreens!", "http://87.230.56.46:80", "128 kbps", "MP3", "http://www.goldfm.de", "Oldies Decades", "");
        add(data, "Antenne Steiermark", "Antenne Steiermark", "http://80.237.152.25:80", "128 kbps", "MP3", "http://www.antenne.at", "Pop", "");
        add(data, "Tennessee Sports Radio", "Tennessee Sports Radio", "http://208.43.60.66:9076", "32 kbps", "MP3", "http://www.tnsportsradio.com", "Sports", "");
        add(data, "Boot Liquor: Americana roots music for Cowhands, Cowpokes and Cowtippers. [SomaFM]", "Boot Liquor: Americana roots music for Cowhands, Cowpokes and Cowtippers. [SomaFM]", "http://173.192.176.180:9004", "128 kbps", "MP3", "http://www.somafm.com", "Alt Country Americana", "");
        add(data, "[ DigitalGunfire.com ] - Long Range, Hard Hitting!", "[ DigitalGunfire.com ] - Long Range, Hard Hitting!", "http://194.71.109.51:8000", "128 kbps", "MP3", "http://www.digitalgunfire.com", "industrial ebm electronic", "");
        add(data, "KCSM Jazz 91 * The Bay Area's Jazz Station * Listener Supported * www.kcsm.org  * S264 *", "KCSM Jazz 91 * The Bay Area's Jazz Station * Listener Supported * www.kcsm.org  * S264 *", "http://216.218.147.60:8240", "64 kbps", "MP3", "http://www.kcsm.org", "Jazz", "");
        add(data, "DjKoRn Pinoy Pride AutoDJ, PINOY www.djkorn.org", "DjKoRn Pinoy Pride AutoDJ, PINOY www.djkorn.org", "http://184.154.185.177:80", "96 kbps", "MP3", "http://www.djkorn.org", "Top 40,Classic R&B", "");
        add(data, "mika.fm - fresh Beats for YOU", "mika.fm - fresh Beats for YOU", "http://87.98.245.237:80", "160 kbps", "MP3", "http://www.mika.fm", "House Trance Dance", "");
        add(data, "Radio Nueva Vida", "Radio Nueva Vida", "http://208.43.60.66:9138", "64 kbps", "MP3", "http://www.nuevavida.com", "Christian Spanish", "");
        add(data, "ECHOES.gr NetRadio - Thessaloniki - Greece", "ECHOES.gr NetRadio - Thessaloniki - Greece", "http://85.17.75.143:80", "128 kbps", "MP3", "http://www.echoes.gr", "Lounge", "");
        add(data, "=Dark Asylum Radio=   For The Digitally Insane", "=Dark Asylum Radio=   For The Digitally Insane", "http://64.79.109.199:8010", "192 kbps", "MP3", "www.darkasylum.co.uk", "Industrial Goth", "");
        add(data, "Drum and Bass - DIGITALLY IMPORTED - tasty assortment to satisfy your drum and bass fix!", "Drum and Bass - DIGITALLY IMPORTED - tasty assortment to satisfy your drum and bass fix!", "http://207.200.96.229:8030", "96 kbps", "MP3", "http://www.di.fm", "Electronic Drum and Bass Jungle", "");
        add(data, "CSN International", "CSN International", "http://208.43.60.73:9020", "64 kbps", "MP3", "http://www.csnradio.com", "Misc", "");
        add(data, "Radio88 Szeged FM 95.4", "Radio88 Szeged FM 95.4", "http://88.151.99.22:8000", "192 kbps", "MP3", "http://www.radio88.hu", "mai slagerek", "");
        add(data, "Classical WETA FM 90.9 - Washington D.C.", "Classical WETA FM 90.9 - Washington D.C.", "http://38.100.128.106:8000", "128 kbps", "MP3", "http://www.weta.org", "Classical", "");
        add(data, "Hit Radio N1 92.9 - Funkhaus Nuernberg", "Hit Radio N1 92.9 - Funkhaus Nuernberg", "http://62.146.84.2:8000", "128 kbps", "MP3", "http://www.hitradion1.de", "Pop Hits Charts", "");
        add(data, ">>> DISCO POLO RADIO >>> - Polskie DISCO POLO (PolskaStacja.pl)", ">>> DISCO POLO RADIO >>> - Polskie DISCO POLO (PolskaStacja.pl)", "http://91.121.116.107:9110", "128 kbps", "MP3", "http://www.polskastacja.pl", "Polskie,Polska,discopolo", "");
        add(data, "_-_ P S Y C H E D E L I K . C O M -_-   192KBITS   Ambient Psychedelic Chillout - Psychedelik.com -", "_-_ P S Y C H E D E L I K . C O M -_-   192KBITS   Ambient Psychedelic Chillout - Psychedelik.com -", "http://88.191.143.89:8002", "192 kbps", "MP3", "http://www.psychedelik.com", "Ambient Electronic Chillout Psychedelic", "");
        add(data, "WCSG, Grand Rapids MI, USA", "WCSG, Grand Rapids MI, USA", "http://208.43.60.74:9004", "64 kbps", "MP3", "http://www.wcsg.org", "Christian", "");
        add(data, "LaEstacionDelAmor.Net Romantica 24 hrs www.feeling.com.mx", "LaEstacionDelAmor.Net Romantica 24 hrs www.feeling.com.mx", "http://206.217.207.207:6142", "128 kbps", "MP3", "http://laestaciondelamor.net", "Romantic Latin Hits Romantico Latino Exitos Romantica Latina", "");
        add(data, "Word of Truth Radio", "Word of Truth Radio", "http://67.159.44.139:80/wotr1", "32 kbps", "MP3", "http://www.wordoftruthradio.com/", "Christian", "");
        add(data, "181.FM - The Point -=( Your Hit Music Alternative )=-", "181.FM - The Point -=( Your Hit Music Alternative )=-", "http://174.36.241.224:10106", "128 kbps", "MP3", "http://www.181.fm", "Top 40 Pop Rock", "");
        add(data, "Gospel Radio UK", "Gospel Radio UK", "http://67.159.60.45:8048", "24 kbps", "MP3", "http://www.mygospelradio.co.uk", "Ghana", "");
        add(data, "p s y r a d i o * f m - progressivechannel", "p s y r a d i o * f m - progressivechannel", "http://81.88.36.44:8010", "128 kbps", "MP3", "http://psyradio.fm", "goa psytrance progressive", "");
        add(data, "You are listening to Classical WSMR 89.1", "You are listening to Classical WSMR 89.1", "http://131.247.45.251:8064", "64 kbps", "MP3", "http://www.wusf.org", "WUSF 89.1 HD2 64k", "");
        add(data, "Discover Trance Radio Worldwide", "Discover Trance Radio Worldwide", "http://195.12.29.146:80", "160 kbps", "MP3", "http://www.discovertrance.com", "Dance", "");
        add(data, "Now Radio - Greece", "Now Radio - Greece", "http://62.212.82.142:8054", "128 kbps", "MP3", "http://www.nowradio.gr", "Dance", "");
        add(data, "LatteMiele", "LatteMiele", "http://188.165.242.32:8014", "64 kbps", "MP3", "http://www.lattemiele.com", "Pop", "");
        add(data, "Discofox24", "Discofox24", "http://62.75.221.14:8000", "128 kbps", "MP3", "http://www.discofox24.com", "Discofox Schlager Dance Charts Eopschlager 70 80 90", "");
        add(data, "Radio Romania Actualitati", "Radio Romania Actualitati", "http://89.238.227.6:8000", "128 kbps", "MP3", "http://www.srr.ro", "Various", "");
        add(data, "RAC105 Entre la musica i tu", "RAC105 Entre la musica i tu", "http://178.32.113.2:8090", "96 kbps", "MP3", "http://www.rac105.cat", "Various", "");
        add(data, "Z Urbana 91.9FM", "Z Urbana 91.9FM", "http://66.240.202.106:8070", "128 kbps", "MP3", "www.zurbana.fm", "Urban", "");
        add(data, "www.agf-radio.com", "www.agf-radio.com", "http://94.23.209.129:6939", "192 kbps", "MP3", "http://www.agf-radio.com", "Various", "");
        add(data, "2GB Sydney Talk Radio", "2GB Sydney Talk Radio", "http://68.169.38.82:8000", "48 kbps", "MP3", "http://www.2gb.com", "talk", "");
        add(data, "Cafe 80s FM", "Cafe 80s FM", "http://178.77.100.114:8000", "128 kbps", "MP3", "http://www.cafe80s.de", "80s", "");
        add(data, "IranianRadio.com - IranianRadio, Your Radio! - High-Speed", "IranianRadio.com - IranianRadio, Your Radio! - High-Speed", "http://213.251.176.52:8002", "128 kbps", "MP3", "http://www.IranianRadio.com", "Persian, Iranian, Middle Eastern, World", "");
        add(data, "Radio Velkaton", "Radio Velkaton", "http://109.123.116.114:7003", "64 kbps", "MP3", "http://www.velkaton.ba", "Various", "");
        add(data, "zonemix", "zonemix", "http://87.98.215.41:9088", "128 kbps", "MP3", "http://www.zonemix.eu", "electronic techno house", "");
        add(data, "Reggae Radio RastaMusic.com - 808 Live Reggaecast", "Reggae Radio RastaMusic.com - 808 Live Reggaecast", "http://204.93.226.26:808", "128 kbps", "MP3", "http://www.rastamusic.com", "Reggae", "");
        add(data, "Radio Arabella Live", "Radio Arabella Live", "http://94.136.28.2:8000", "80 kbps", "MP3", "http://music.radioarabella.at/", "Super Oldies und unsere Hits aus Österreich", "");
        add(data, "Antena Krusevac", "Antena Krusevac", "http://94.23.38.225:4560", "128 kbps", "MP3", "http://www.antenaradio.rs", "Folk", "");
        add(data, "AM 740 Zoomer Radio CFZM", "AM 740 Zoomer Radio CFZM", "http://199.27.180.216:8015", "128 kbps", "MP3", "http://www.zoomerradio.ca", "Oldies", "");
        add(data, "Doomed: Dark music for tortured souls [SomaFM]", "Doomed: Dark music for tortured souls [SomaFM]", "http://205.234.246.42:8300", "128 kbps", "MP3", "http://somafm.com/", "Halloween Dark Industrial", "");
        add(data, "WUSF 89.7 HD1 64k, Tampa / St. Petersburg / Sarasota, NPR, Classic & Jazz", "WUSF 89.7 HD1 64k, Tampa / St. Petersburg / Sarasota, NPR, Classic & Jazz", "http://131.247.45.225:8000", "64 kbps", "MP3", "http://www.wusf.org", "WUSF 89.7 HD1 128k", "");
        add(data, "WRCJ 90.9FM", "WRCJ 90.9FM", "http://174.37.86.106:8000", "56 kbps", "MP3", "http://www.wrcjfm.org", "Classical and Jazz", "");
        add(data, "Libero", "Libero", "http://62.212.82.142:8081", "64 kbps", "MP3", "http://www.libero.fm", "Various", "");
        add(data, "electro-music.com  main stream", "electro-music.com  main stream", "http://173.201.189.104:8050", "128 kbps", "MP3", "http://radio.electro-music.com", "Experimental electronic and electro-acoustic", "");
        add(data, "WCIC", "WCIC", "http://66.225.205.50:80", "96 kbps", "MP3", "http://www.wcicfm.org", "Contemporary Christian", "");
        add(data, "www.sgpc.net - Live kirtan - Sri harmandir Sahib", "www.sgpc.net - Live kirtan - Sri harmandir Sahib", "http://202.164.55.5:8000", "16 kbps", "MP3", "www.sgpc.net", "Gurbani Kirtan", "");
        add(data, "~ DanceSection - Austrian Dance Music WebRadio - MusicBase.FM ~", "~ DanceSection - Austrian Dance Music WebRadio - MusicBase.FM ~", "http://89.31.134.140:80", "192 kbps", "MP3", "http://www.musicbase.fm", "mixed", "");
        add(data, "www.bhjms-radio.de - Hamburg", "www.bhjms-radio.de - Hamburg", "http://62.108.33.32:8000", "128 kbps", "MP3", "http://www.bhjms-radio.de", "Electronic House Disco Trance", "");
        add(data, "Soft Classic Rock", "Soft Classic Rock", "http://64.71.133.122:8000", "128 kbps", "MP3", "http://www.softclassicrock.com", "Classic Rock", "");
        add(data, "88NINE RADIOMILWAUKEE", "88NINE RADIOMILWAUKEE", "http://216.246.14.71:80", "128 kbps", "MP3", "radiomilwaukee.streamguys.net", "AAA", "");
        add(data, "Puur NL [Midden Brabant]", "Puur NL [Midden Brabant]", "http://62.212.132.9:8804", "192 kbps", "MP3", "http://www.puurnl.fm/", "Dutch, Nederlandstalig", "");
        add(data, "EVANGELIZAR3", "EVANGELIZAR3", "http://74.86.86.133:8002", "24 kbps", "MP3", "http://www.audiorealm.com", "Various", "");
        add(data, "electrosonic.fm", "electrosonic.fm", "http://212.48.110.70:8030", "128 kbps", "MP3", "http://www.electrosonic.fm", "Trance, House, Electro, Drum & Bass, Techno", "");
        add(data, "Sunshine Radio 99.4", "Sunshine Radio 99.4", "http://195.56.193.90:8100", "140 kbps", "MP3", "www.sunshinefm.hu", "live radio", "");
        add(data, "Bachata  24/7 MBRadio.FM", "Bachata  24/7 MBRadio.FM", "http://173.193.20.153:9982", "96 kbps", "MP3", "https://www.facebook.com/MBradio.FM", "Bachata - Latin", "");
        add(data, "EstrellaInternacional", "EstrellaInternacional", "http://184.173.77.4:7084", "64 kbps", "MP3", "http://www.EstrellaInternacional.com", "Emisora Colombiana, latin, salsa, merengue, vallenato, Tropical, popular, radio Medellín", "");
        add(data, "TRAFFIC RADIO STATION - The best house & club music", "TRAFFIC RADIO STATION - The best house & club music", "http://212.25.58.220:8002", "128 kbps", "MP3", "http://www.trafficradio.org", "house - club", "");
        add(data, "All 60s All The Time", "All 60s All The Time", "http://69.4.238.127:80", "64 kbps", "MP3", "http://keepfreemusic.com/60s/shoutcast_radio_listen.html", "60s,sixties,oldies", "");
        add(data, "RADIO PLANETA", "RADIO PLANETA", "http://95.211.22.17:8002", "128 kbps", "MP3", "http://www.radioplaneta.com", "Dance", "");
        add(data, "POLSKASTACJA.PL - Tylko Polskie Przeboje 128kbps", "POLSKASTACJA.PL - Tylko Polskie Przeboje 128kbps", "http://91.121.133.111:9000", "128 kbps", "MP3", "http://www.polskastacja.pl", "Polskie Polska", "");
        add(data, "Radio Beograd 202", "Radio Beograd 202", "http://195.252.107.194:8006", "128 kbps", "MP3", "http://www.radiobeograd.rs/", "www.rts.rs", "");
        add(data, "Swiss Internet Radio - swissradio Opera - Shoutcast Streaming Technology by www.init7.net", "Swiss Internet Radio - swissradio Opera - Shoutcast Streaming Technology by www.init7.net", "http://82.197.165.139:80", "128 kbps", "MP3", "http://www.swissradio.ch", "Classical Opera Oratorio", "");
        add(data, "Bia2 Radio", "Bia2 Radio", "http://74.86.133.152:8000", "96 kbps", "MP3", "http://www.bia2.com", "Persian", "");
        add(data, "Soulful Bits", "Soulful Bits", "http://88.191.137.70:80", "128 kbps", "MP3", "http://soulfulbits.com", "Soul, Funk, R&B, Motown, Urban", "");
        add(data, "Golden Hits Radio", "Golden Hits Radio", "http://77.67.106.2:10157", "128 kbps", "MP3", "http://goldenhitsradio.com", "Oldies", "");
        add(data, "STAR FM Nuernberg MAXIMUM ROCK!", "STAR FM Nuernberg MAXIMUM ROCK!", "http://80.237.153.93:8004", "128 kbps", "MP3", "http://nbg.starfm.de", "Rock, ALternative, Hard Rock, Classic Rock, Adult Album Alternative, Rock & Roll", "");
        add(data, "Live Phish Radio (powered by nugs.net_", "Live Phish Radio (powered by nugs.net_", "http://209.234.243.40:8002", "128 kbps", "MP3", "http://www.livephish.com", "Rock", "");
        add(data, "Cryosleep - Zero Beat Guaranteed", "Cryosleep - Zero Beat Guaranteed", "http://207.200.96.225:8022", "128 kbps", "MP3", "http://bluemars.org", "Ambient", "");
        add(data, "Republic Broadcasting Network", "Republic Broadcasting Network", "http://216.240.133.177:2005", "32 kbps", "MP3", "http://www.republicbroadcasting.org", "Talk", "");
        add(data, "Love Music - SKY.FM - easy listening and Romantic hits from the heart!!", "Love Music - SKY.FM - easy listening and Romantic hits from the heart!!", "http://72.26.204.28:6834", "96 kbps", "MP3", "http://www.sky.fm/lovemusic/", "Love Soft Romantic", "");
        add(data, "Persian/Iranina", "Persian/Iranina", "http://192.12.90.11:8030", "96 kbps", "MP3", "http://binome.com", "Iran", "");
        add(data, "Alex Jones - Infowars.com", "Alex Jones - Infowars.com", "http://76.73.4.30:80", "32 kbps", "MP3", "http://www.infowars.com", "Talk News Political", "");
        add(data, "BlackBeats.FM - finest in blackbeats - powered by surfmusik.de", "BlackBeats.FM - finest in blackbeats - powered by surfmusik.de", "http://91.121.139.196:80", "128 kbps", "MP3", "http://www.blackbeats.fm", "hip hop, urban, rap, rnb, blackmusic", "");
        add(data, "NOISEfm.pl - Niezalezne Radio Rock !", "NOISEfm.pl - Niezalezne Radio Rock !", "http://94.23.216.58:8800", "128 kbps", "MP3", "http://www.noisefm.pl", "Rock", "");
        add(data, "idobi Radio: New. Music. Unfiltered. idobi.com", "idobi Radio: New. Music. Unfiltered. idobi.com", "http://50.117.121.12:80", "128 kbps", "MP3", "http://idobiradio.com/", "Alternative", "");
        add(data, "MBC Mini Radio", "MBC Mini Radio", "http://222.237.79.137:8005", "64 kbps", "MP3", "", "Misc", "");
        add(data, "Absolutely Smooth Jazz - SKY.FM - the world's smoothest jazz 24 hours a day", "Absolutely Smooth Jazz - SKY.FM - the world's smoothest jazz 24 hours a day", "http://stream-27.shoutcast.com:80/smoothjazz_skyfm_mp3_96kbps", "96 kbps", "MP3", "http://www.sky.fm/smoothjazz", "Smooth Jazz", "");
        add(data, "Radio Paradise - DJ-mixed modern & classic rock, world, electronica & more - info: radioparadise.com", "Radio Paradise - DJ-mixed modern & classic rock, world, electronica & more - info: radioparadise.com", "http://173.192.48.71:8054", "128 kbps", "MP3", "http://www.radioparadise.com", "eclectic rock", "");
        add(data, "Groove Salad [SomaFM]", "Groove Salad [SomaFM]", "http://stream-37.shoutcast.com:80/groovesalad_somafm_mp3_128kbps", "128 kbps", "MP3", "http://somafm.com/groovesalad", "Chill, Ambient", "");
        add(data, "HOT 108 JAMZ", "HOT 108 JAMZ", "http://stream-183.shoutcast.com:80/hot108_mp3_128kbps", "128 kbps", "MP3", "http://www.hot108.com", "Hip Hop", "");
        add(data, "Radio Television Caraibes", "Radio Television Caraibes", "http://173.192.70.144:7178", "56 kbps", "MP3", "http://www.radiotelevisioncaraibes.com", "News", "");
        add(data, "181.fm - Rock 40", "181.fm - Rock 40", "http://108.61.73.119:8028", "128 kbps", "MP3", "http://www.181.fm", "Rock Top 40", "");
        add(data, "Tinimy.de", "Tinimy.de", "http://46.4.75.18:1510", "128 kbps", "MP3", "http://www.tinimy.de/", "Alternative", "");
        add(data, "Vocal Trance - DIGITALLY IMPORTED - a fusion of trance, dance, and chilling vocals together!", "Vocal Trance - DIGITALLY IMPORTED - a fusion of trance, dance, and chilling vocals together!", "http://stream-70.shoutcast.com:80/vocaltrance_difm_mp3_96kbps", "96 kbps", "MP3", "http://www.di.fm/vocaltrance", "Trance", "");
        add(data, "TechnoBase.FM - 24h Techno, Dance, HandsUp & More", "TechnoBase.FM - 24h Techno, Dance, HandsUp & More", "http://46.165.232.11:80", "192 kbps", "MP3", "http://www.TechnoBase.FM", "Dance", "");
        add(data, "181.FM - POWER 181 -=[: The Hitz Channel :]=- www.181.fm", "181.FM - POWER 181 -=[: The Hitz Channel :]=- www.181.fm", "http://stream-23.shoutcast.com:80/power_181fm_mp3_128kbps", "128 kbps", "MP3", "http://www.181.fm", "Misc", "");
        add(data, "PANDASHOWRADIO.COM - Pranks in spanish, live from Mexico City, feat. El Panda Zambrano.", "PANDASHOWRADIO.COM - Pranks in spanish, live from Mexico City, feat. El Panda Zambrano.", "http://173.193.138.136:7210", "128 kbps", "MP3", "http://www.pandashowradio.com", "latin latino cumbia salsa", "");
        add(data, "181.FM - The Buzz (Your Alternative Station!)", "181.FM - The Buzz (Your Alternative Station!)", "http://stream-71.shoutcast.com:80/thebuzz_181fm_mp3_128kbps", "128 kbps", "MP3", "http://www.181.fm", "Rock", "");
        add(data, "AnimeNfo Radio | Serving you the best Anime music!", "AnimeNfo Radio | Serving you the best Anime music!", "http://174.127.103.99:443", "192 kbps", "MP3", "http://www.animenfo.com/radio", "Anime, JPOP, Japanese", "");
        add(data, "RFM - Powered by SenewebNetworks: RFM DAKAR 94.0 SENEGAL", "RFM - Powered by SenewebNetworks: RFM DAKAR 94.0 SENEGAL", "http://173.236.81.218:9002", "24 kbps", "MP3", "http://www.shoutcast.com", "RADIO", "");
        add(data, "Ibiza Global Radio :", "Ibiza Global Radio :", "http://188.165.134.21:8024", "120 kbps", "MP3", "www.ibizaglobalradio.com", "Electronic", "");
        add(data, "670 am KIRN (Mirror)", "670 am KIRN (Mirror)", "http://208.43.166.220:9000", "32 kbps", "MP3", "http://www.670amkirn.com", "Various", "");
        add(data, "HouseTime.FM - 24h House, Electro & More", "HouseTime.FM - 24h House, Electro & More", "http://46.165.232.7:80", "192 kbps", "MP3", "http://www.HouseTime.FM", "House", "");
        add(data, "Hitradio OE3", "Hitradio OE3", "http://194.232.200.156:8000", "64 kbps", "MP3", "http://oe3.orf.at", "Pop", "");
        add(data, "ChartHits.FM - Top 40 Radio - Mega Hot Music!", "ChartHits.FM - Top 40 Radio - Mega Hot Music!", "http://193.34.51.68:80", "128 kbps", "MP3", "http://www.ChartHits.FM", "Top40 Pop Dance R&B Rock", "");
        add(data, "RAC 1. Des de catalunya per tot el mon", "RAC 1. Des de catalunya per tot el mon", "http://188.165.129.245:8090", "48 kbps", "MP3", "http://www.rac1.cat", "Various", "");
        add(data, "#MUSIK.MAIN - WWW.RAUTEMUSIK.FM - 24H TOP 40 POP HITS 80S 90S DANCE HOUSE ROCK RNB AND MORE!", "#MUSIK.MAIN - WWW.RAUTEMUSIK.FM - 24H TOP 40 POP HITS 80S 90S DANCE HOUSE ROCK RNB AND MORE!", "http://193.34.51.48:80", "128 kbps", "MP3", "http://www.RauteMusik.FM/", "Pop Rock Top 40 RnB 80s", "");
        add(data, "181.FM - Classic Hits --- Home of The 60's and 70's", "181.FM - Classic Hits --- Home of The 60's and 70's", "http://stream-50.shoutcast.com:80/classic_hits_181fm_mp3_128kbps", "128 kbps", "MP3", "http://www.181.fm", "60s", "");
        add(data, "181.FM - PARTY 181 -=- Your Official Party Station!", "181.FM - PARTY 181 -=- Your Official Party Station!", "http://74.86.186.4:12110", "128 kbps", "MP3", "http://www.181.fm", "Top 40 Rhythmic RNB", "");
        add(data, "SmoothJazz.com Global Radio - The World's First 24/7 Since 2000 - KJAZ.DB", "SmoothJazz.com Global Radio - The World's First 24/7 Since 2000 - KJAZ.DB", "http://173.244.199.249:80", "128 kbps", "MP3", "http://www.smoothjazz.com", "Smooth Jazz", "");
        add(data, "Radio IKIMfm Malaysia", "Radio IKIMfm Malaysia", "http://198.154.106.102:8384", "64 kbps", "MP3", "http://www.ikimfm.my", "Islamic", "");
        add(data, "RADIO MANDELA DIGITAL", "RADIO MANDELA DIGITAL", "http://184.154.37.136:12842", "64 kbps", "MP3", "http://www.radiomandeladigital.blogspot.com", "TODOS OS RITMOS", "");
        add(data, "CHILLOUT LOUNGE RADIO (1.FM TM)", "CHILLOUT LOUNGE RADIO (1.FM TM)", "http://37.235.56.70:7000", "128 kbps", "MP3", "http://www.1.fm", "Chill Out, Lounge, Ambient", "");
        add(data, "80s, 80s, 80s! - SKY.FM - Hear your classic favorites right here! (www.sky.fm)", "80s, 80s, 80s! - SKY.FM - Hear your classic favorites right here! (www.sky.fm)", "http://stream-39.shoutcast.com:80/the80s_skyfm_mp3_96kbps", "96 kbps", "MP3", "http://www.sky.fm/the80s", "80s", "");
        add(data, "181.fm - The Office : Your Office Friendly Station!", "181.fm - The Office : Your Office Friendly Station!", "http://108.61.73.118:8002", "128 kbps", "MP3", "http://www.181.fm", "Rock Soft 80s 90s Top 40", "");
        add(data, "181.fm - The Mix Channel (70s, 80s, 90s and Today's Best Music)", "181.fm - The Mix Channel (70s, 80s, 90s and Today's Best Music)", "http://108.61.73.118:8032", "128 kbps", "MP3", "http://www.181.fm", "Adult Top 40", "");
        add(data, "Top Hits Music - SKY.FM - who cares about the chart order, less rap & more hits!", "Top Hits Music - SKY.FM - who cares about the chart order, less rap & more hits!", "http://stream-75.shoutcast.com:80/tophits_skyfm_mp3_96kbps", "96 kbps", "MP3", "http://www.sky.fm/tophits", "Misc", "");
        add(data, "TamilFlash.Fm |Online Tamil Radio|Skyp:TFFMSTUDIO", "TamilFlash.Fm |Online Tamil Radio|Skyp:TFFMSTUDIO", "http://66.197.229.245:10200", "64 kbps", "MP3", "http://www.tamilflash.fm", "Alternative", "");
        add(data, "POWERHITZ.COM - #1 FOR HITZ & HIP HOP *In HD) www.powerhitz.com", "POWERHITZ.COM - #1 FOR HITZ & HIP HOP *In HD) www.powerhitz.com", "http://stream-155.shoutcast.com:80/powerhitz_mp3_128kbps", "128 kbps", "MP3", "http://www.powerhitz.com", "Hip Hop", "");
        add(data, "A-1 Radio - The Variety Channel", "A-1 Radio - The Variety Channel", "http://173.192.70.154:7000", "96 kbps", "MP3", "http://www.a-1radio.com", "Pop", "");
        add(data, "181.fm - The Heart (All Love Songs)", "181.fm - The Heart (All Love Songs)", "http://108.61.73.119:8006", "128 kbps", "MP3", "http://www.181.fm", "Love Songs", "");
        add(data, "LA X", "LA X", "http://198.72.112.42:8014", "112 kbps", "MP3", "http://www.shoutcast.com", "Misc", "");
        add(data, "181.FM - Kickin' Country - Today's BEST Country!", "181.FM - Kickin' Country - Today's BEST Country!", "http://stream-179.shoutcast.com:80/kickin_country_181fm_mp3_128kbps", "128 kbps", "MP3", "http://www.181.fm", "Hot Country Hits", "");
        add(data, "TDI Radio: MP3 48kbps", "TDI Radio: MP3 48kbps", "http://77.105.38.192:9000", "48 kbps", "MP3", "http://www.tdiradio.com", "Top 40, Pop, Dance, House", "");
        add(data, "Trance Channel - DIGITALLY IMPORTED - we can't define it!", "Trance Channel - DIGITALLY IMPORTED - we can't define it!", "http://stream-132.shoutcast.com:80/trance_difm_mp3_96kbps", "96 kbps", "MP3", "http://www.di.fm/trance", "Trance", "");
        add(data, "Radio Tele Shalom", "Radio Tele Shalom", "http://184.107.226.10:9390", "56 kbps", "MP3", "http://www.radioshalomhaiti.com", "Misc", "");
        add(data, "Big R Radio - 70s & 80s Pop Mix", "Big R Radio - 70s & 80s Pop Mix", "http://67.228.177.131:8280", "128 kbps", "MP3", "http://www.bigrradio.com", "70s, 80s, Pop", "");
        add(data, "[WINK.IN.TH]-THAILAND", "[WINK.IN.TH]-THAILAND", "http://103.7.59.202:8010", "96 kbps", "MP3", "http://www.wink.in.th", "Talk", "");
        add(data, "181.FM - Energy 98 - Dance Hits", "181.FM - Energy 98 - Dance Hits", "http://174.36.241.224:10018", "128 kbps", "MP3", "http://www.181.fm", "Dance Hits - Top 40", "");
        add(data, "Chillout - DIGITALLY IMPORTED - ambient psy chillout, check out our trippy flavors!", "Chillout - DIGITALLY IMPORTED - ambient psy chillout, check out our trippy flavors!", "http://stream-38.shoutcast.com:80/chillout_difm_mp3_96kbps", "96 kbps", "MP3", "http://www.di.fm/chillout", "Ambient", "");
        add(data, "181.fm - True R&B", "181.fm - True R&B", "http://108.61.73.119:8022", "128 kbps", "MP3", "http://www.181.fm", "R&B Urban HipHop", "");
        add(data, "FRISKY | feelin' frisky?", "FRISKY | feelin' frisky?", "http://stream-101.shoutcast.com:80/frisky_radio_mp3_128kbps", "128 kbps", "MP3", "http://www.friskyradio.com", "Electronic", "");
        add(data, "Tutku Fm: TutkuFM Mix", "Tutku Fm: TutkuFM Mix", "http://109.123.116.194:8534", "32 kbps", "MP3", "http://www.tutkufm.net", "Pop slow türkçe", "");
        add(data, "Musicradio.in.th By Pj NeoOne", "Musicradio.in.th By Pj NeoOne", "http://119.59.98.4:9004", "64 kbps", "MP3", "http://www.musicradio.in.th", "EazyListening", "");
        add(data, "Ballermann-Radio.com ...meine Musik  meine Party  mein Sender", "Ballermann-Radio.com ...meine Musik  meine Party  mein Sender", "http://80.237.210.12:5000", "128 kbps", "MP3", "http://www.bmr-radio.de", "European Pop Dance", "");
        add(data, "#MUSIK.CLUB - WWW.RAUTEMUSIK.FM - 24H MIXED HANDS UP TRANCE DANCE TECHNO HARDSTYLE HOUSE AND MORE!", "#MUSIK.CLUB - WWW.RAUTEMUSIK.FM - 24H MIXED HANDS UP TRANCE DANCE TECHNO HARDSTYLE HOUSE AND MORE!", "http://193.34.51.31:80", "128 kbps", "MP3", "http://www.RauteMusik.FM/", "Electronic Techno Dance", "");
        add(data, "Radio Klass Romania .:: www.RadioKlass.eu ::.", "Radio Klass Romania .:: www.RadioKlass.eu ::.", "http://109.234.157.170:2012", "128 kbps", "MP3", "http://www.radioklass.eu", "Dance , Club , Blues", "");
        add(data, "RADIOUP.COM - THE HITLIST - #1 FOR ALL HIT MUSIC", "RADIOUP.COM - THE HITLIST - #1 FOR ALL HIT MUSIC", "http://stream-104.shoutcast.com:80/radioup_mp3_128kbps", "128 kbps", "MP3", "http://www.radioup.com", "Pop", "");
        add(data, "waizon", "waizon", "http://112.121.150.38:8888", "96 kbps", "MP3", "http://radio.waizon.com", "Various", "");
        add(data, "Radio Free Vermont", "Radio Free Vermont", "http://192.184.9.79:8000", "24 kbps", "MP3", "http://www.freevermontradio.org", "Folk", "");
        add(data, "PONdENDS.COM | RADIO | REAL YAAD VYBEZ", "PONdENDS.COM | RADIO | REAL YAAD VYBEZ", "http://173.192.70.147:7000", "128 kbps", "MP3", "http://www.pondends.com/", "Dancehall, Reggae, Soca,Hip hop, Rnb, Oldies", "");
        add(data, "MRBI - KMRB AM1430", "MRBI - KMRB AM1430", "http://38.96.175.22:6916", "50 kbps", "MP3", "http://www.am1430.net/", "genre", "");
        add(data, "181.FM - 90's Alternative", "181.FM - 90's Alternative", "http://108.61.73.118:8052", "128 kbps", "MP3", "http://www.181.fm", "90s Alternative", "");
        add(data, "Radio Nacional  - AM 870", "Radio Nacional  - AM 870", "http://37.59.19.104:8010", "96 kbps", "MP3", "http://www.radionacional.com.ar", "Various", "");
        add(data, "Auto PJ. ]2eQuest]2adio", "Auto PJ. ]2eQuest]2adio", "http://111.223.32.212:8010", "80 kbps", "MP3", "http://www.requestradio.in.th/korea.htm", "Music", "");
        add(data, "181.FM - Good Time Oldies", "181.FM - Good Time Oldies", "http://69.4.232.112:8166", "128 kbps", "MP3", "http://www.181.fm", "Oldies Pop 50 60 Rock", "");
        add(data, "TaksimFM - Live", "TaksimFM - Live", "http://62.212.66.77:8000", "64 kbps", "MP3", "http://www.taksim.fm", "Various", "");
        add(data, "Drone Zone: Atmospheric ambient space music. Serve Best Chilled. Safe with most medications. [SomaFM]", "Drone Zone: Atmospheric ambient space music. Serve Best Chilled. Safe with most medications. [SomaFM]", "http://173.192.176.180:8002", "128 kbps", "MP3", "http://www.somafm.com", "Techno Ambient Space", "");
        add(data, "Konata Station Radio- Camino a la #1 en shoutcast!", "Konata Station Radio- Camino a la #1 en shoutcast!", "http://174.36.206.217:8795", "64 kbps", "MP3", "http://konata-station.net", "Anime", "");
        add(data, "Virginhitz 95.5", "Virginhitz 95.5", "http://202.44.54.186:8955", "64 kbps", "MP3", "http://www.becteroradio.com", "Top40", "");
        add(data, "181.fm - The Breeze", "181.fm - The Breeze", "http://108.61.73.118:8004", "128 kbps", "MP3", "http://www.181.fm", "Smooth Jazz", "");
        add(data, "PulsRadio - www.pulsradio.com - Dance Trance Techno House HandsUp", "PulsRadio - www.pulsradio.com - Dance Trance Techno House HandsUp", "http://193.17.192.13:80", "192 kbps", "MP3", "http://www.pulsradio.com", "Techno Electronic Dance", "");
        add(data, "181.FM - 80's Hairband Channel", "181.FM - 80's Hairband Channel", "http://174.36.241.224:10026", "128 kbps", "MP3", "http://www.181.fm", "80s Rock Hair", "");
        add(data, "Radio Tram", "Radio Tram", "http://173.192.70.146:7378", "64 kbps", "MP3", "http://www.radiotram.com", "alternative", "");
        add(data, "LOVE CLASSICS", "LOVE CLASSICS", "http://173.193.32.153:8002", "128 kbps", "MP3", "http://www.loveclassics.com.br", "Love/Romance", "");
        add(data, "New Age - SKY.FM - soothing sounds of new age and world music!", "New Age - SKY.FM - soothing sounds of new age and world music!", "http://stream-83.shoutcast.com:80/newage_skyfm_mp3_96kbps", "96 kbps", "MP3", "http://www.sky.fm/newage", "Worldbeat", "");
        add(data, "181.FM - 70's", "181.FM - 70's", "http://67.213.214.248:9866", "128 kbps", "MP3", "http://www.181.fm", "70s", "");
        add(data, "Pink Narodna Muzika (Zabavna, Uzivo, Radio Stanice, Cuprija, Beograd, Srbija, Bosna, Balkan)", "Pink Narodna Muzika (Zabavna, Uzivo, Radio Stanice, Cuprija, Beograd, Srbija, Bosna, Balkan)", "http://46.165.232.49:80", "64 kbps", "MP3", "http://pinkradio.com", "International, Folk, European", "");
        add(data, "ABSOLUTELY COUNTRY HITS RADIO - (1.FM TM)", "ABSOLUTELY COUNTRY HITS RADIO - (1.FM TM)", "http://205.164.62.15:7800", "128 kbps", "MP3", "http://www.1.fm", "Country", "");
        add(data, "Mostly Classical - SKY.FM - Listen and Relax, it's good for you! www.sky.fm", "Mostly Classical - SKY.FM - Listen and Relax, it's good for you! www.sky.fm", "http://stream-204.shoutcast.com:80/classical_skyfm_mp3_96kbps", "96 kbps", "MP3", "http://www.sky.fm/classical", "Symphony", "");
        add(data, "Quran Radio", "Quran Radio", "http://173.192.70.146:8332", "54 kbps", "MP3", "quranradio.net", "random", "");
        add(data, "Freedom Radio Gambia", "Freedom Radio Gambia", "http://38.96.148.240:4348", "128 kbps", "MP3", "http://www.shoutcast.com", "News", "");
        add(data, "Radio Ibo 98.5 FM, Pa gen manti nan sa! - Live From Port-Au-Prince, Haiti", "Radio Ibo 98.5 FM, Pa gen manti nan sa! - Live From Port-Au-Prince, Haiti", "http://64.15.132.62:9850", "56 kbps", "MP3", "http://www.radioibo.net", "Misc", "");
        add(data, "181.FM - Soul", "181.FM - Soul", "http://108.61.73.118:8058", "128 kbps", "MP3", "http://www.181.fm", "Soul", "");
        add(data, "AH.FM - Leading Trance Radio", "AH.FM - Leading Trance Radio", "http://5.39.84.15:9000", "192 kbps", "MP3", "http://www.AH.FM", "Electronic Trance Dance", "");
        add(data, "Solo Piano - SKY.FM - Musical journeys with piano masters and talented undiscovered pianists", "Solo Piano - SKY.FM - Musical journeys with piano masters and talented undiscovered pianists", "http://stream-109.shoutcast.com:80/piano_skyfm_mp3_96kbps", "96 kbps", "MP3", "http://www.sky.fm/piano", "Piano", "");
        add(data, "LA RADIO DU SOIR", "LA RADIO DU SOIR", "http://173.192.70.132:7610", "32 kbps", "MP3", "http://www.Paindusoir.com", "LA RADIO DU SOIR", "");
        add(data, "Nacional Rock", "Nacional Rock", "http://37.59.19.104:8162", "192 kbps", "MP3", "http://www.nacionalrock.com", "Various", "");
        add(data, "Radio Ambient Romania", "Radio Ambient Romania", "http://195.225.58.156:9996", "128 kbps", "MP3", "www.radioambient.com", "Top100", "");
        add(data, "Lankasri FM", "Lankasri FM", "http://173.192.205.177:80", "128 kbps", "MP3", "http://www.lankasri.fm", "Tamil", "");
        add(data, "Taga Radio", "Taga Radio", "http://69.73.143.227:9998", "128 kbps", "MP3", "http://tagaradio.com/there/", "Everything", "");
        add(data, "#MUSIK.HOUSE (FUNKY) - WWW.RAUTEMUSIK.FM - 24H MIXED HOUSE DANCE ELECTRO FUNK MINIMAL AND MORE!", "#MUSIK.HOUSE (FUNKY) - WWW.RAUTEMUSIK.FM - 24H MIXED HOUSE DANCE ELECTRO FUNK MINIMAL AND MORE!", "http://193.34.51.73:80", "128 kbps", "MP3", "http://www.RauteMusik.FM/", "House Electro Electronic", "");
        add(data, "181.FM - Lite 80's", "181.FM - Lite 80's", "http://74.86.186.4:12114", "128 kbps", "MP3", "http://www.181.fm", "80s Lite", "");
        add(data, "Medianet123 - Host by www.FreeSHOUTcast.com", "Medianet123 - Host by www.FreeSHOUTcast.com", "http://50.115.124.196:63596", "64 kbps", "MP3", "http://www.medianet123.com", "Various", "");
        add(data, "RadyoFi Alemdeki Tek Fiyakaniz", "RadyoFi Alemdeki Tek Fiyakaniz", "http://176.31.97.180:80", "48 kbps", "MP3", "http://www.radyofi.com", "Turkce Turkish Radyo Fi", "");
        add(data, "DJ Lockie", "DJ Lockie", "http://173.192.70.154:7336", "128 kbps", "MP3", "http://www.audiorealm.com", "Various", "");
        add(data, "Lounge - DIGITALLY IMPORTED - sit back and enjoy the lounge grooves!", "Lounge - DIGITALLY IMPORTED - sit back and enjoy the lounge grooves!", "http://205.188.215.231:8014", "96 kbps", "MP3", "http://www.di.fm", "Electronic Lounge Downtempo", "");
        add(data, "BeatlesRadio.com visit fab4store.com", "BeatlesRadio.com visit fab4store.com", "http://64.40.111.77:9999", "128 kbps", "MP3", "http://www.beatlesradio.com", "Oldies /Beatles", "");
        add(data, "Radyo Amed", "Radyo Amed", "http://94.23.146.178:2121", "32 kbps", "MP3", "http://www.radyoamed.com", "Various", "");
        add(data, "#MUSIK.JAM - WWW.RAUTEMUSIK.FM - 24H HIPHOP RNB RAP SOUL REGGAE DANCEHALL URBAN AND MORE!", "#MUSIK.JAM - WWW.RAUTEMUSIK.FM - 24H HIPHOP RNB RAP SOUL REGGAE DANCEHALL URBAN AND MORE!", "http://193.34.51.34:80", "128 kbps", "MP3", "http://www.RauteMusik.FM", "Hip Hop R&B Urban Rap Pop", "");
        add(data, ": IbizaSonica :", ": IbizaSonica :", "http://159.253.145.178:7005", "120 kbps", "MP3", "http://www.ibizasonica.com", "electronic", "");
        add(data, "ZOLFM-La Mas Interactiva: by Dominican Internet Group", "ZOLFM-La Mas Interactiva: by Dominican Internet Group", "http://209.239.120.196:8022", "48 kbps", "MP3", "http://www.shoutcast.com", "Various", "");
        add(data, "Big R Radio - 101.6 Adult Warm Hits", "Big R Radio - 101.6 Adult Warm Hits", "http://67.228.177.131:8300", "128 kbps", "MP3", "http://www.bigrradio.com", "Adult, Office, Light", "");
        add(data, "Ghana Waves Radio", "Ghana Waves Radio", "http://212.72.187.16:32020", "24 kbps", "MP3", "http://www.audiorealm.com", "World", "");
        add(data, "Emisoras Unidas 89.7", "Emisoras Unidas 89.7", "http://67.228.150.175:8635", "64 kbps", "MP3", "http://www.emisorasunidas.com", "Noticiero", "");
        add(data, "LOUNGE-RADIO.COM - swiss made", "LOUNGE-RADIO.COM - swiss made", "http://91.121.13.103:8080", "128 kbps", "MP3", "http://www.lounge-radio.com", "Lounge Ambient Downtempo Electronic", "");
        add(data, "Indian Hindi Desi Bollywood Evergreen hits", "Indian Hindi Desi Bollywood Evergreen hits", "http://198.154.106.104:8494", "32 kbps", "MP3", "http://cast2.serverhostingcenter.com/start/anikumar", "Bollywood", "");
        add(data, "Bota Pagodão .Net  - O Mundo é Nosso! @Botapagodao_Net", "Bota Pagodão .Net  - O Mundo é Nosso! @Botapagodao_Net", "http://64.56.64.20:16544", "96 kbps", "MP3", "http://www.botapagodao.net", "Pagodão", "");
        add(data, "Chilltrax - The World's Chillout Channel", "Chilltrax - The World's Chillout Channel", "http://173.193.32.157:9000", "128 kbps", "MP3", "http://www.chilltrax.com", "Chill, Downtempo, Ambient", "");
        add(data, "Aaron FM", "Aaron FM", "http://50.7.98.106:8790", "128 kbps", "MP3", "http://www.aaronfm.com", "Country", "");
        add(data, "Big B Radio - KPOP | The Hot Station for Asian Music", "Big B Radio - KPOP | The Hot Station for Asian Music", "http://199.241.187.194:8060", "192 kbps", "MP3", "http://www.bigbradio.com", "Korean Pop Asian KPOP Seoul Korea World International Electropop Dance 2NE1 2PM BoA 2AM SNSD", "");
        add(data, "Radio Columbia, 98.7 fm. \"Aquiii Columbia, con un pais en sintonia\" TE1506gcrLMN", "Radio Columbia, 98.7 fm. \"Aquiii Columbia, con un pais en sintonia\" TE1506gcrLMN", "http://74.115.213.38:8121", "64 kbps", "MP3", "managed by Luxwer Media Networks", "sports", "");
        add(data, "Nirvana Radio - Music for Meditation and Relaxation", "Nirvana Radio - Music for Meditation and Relaxation", "http://188.165.19.60:9106", "128 kbps", "MP3", "http://www.108.pl", "ambient, meditation, relaxation", "");
        add(data, "Slow FM", "Slow FM", "http://91.121.95.82:80", "32 kbps", "MP3", "http://www.slowfm.net", "Turkce Turkish Slow Pop", "");
        add(data, "Radio Viciana - 100% SHQIP - www.radioviciana.de", "Radio Viciana - 100% SHQIP - www.radioviciana.de", "http://82.165.138.24:8010", "48 kbps", "MP3", "http://www.shoutcast.com", "Albanian, Kosova, Shqip", "");
        add(data, "Maktoob DJ", "Maktoob DJ", "http://176.9.4.34:9998", "64 kbps", "MP3", "http://chat.mychating.com/", "Music", "");
        add(data, "181.FM - Highway 181 (Classic Country)", "181.FM - Highway 181 (Classic Country)", "http://108.61.73.119:8018", "128 kbps", "MP3", "http://www.181.fm", "Country Classic Oldies", "");
        add(data, "iKyzaa DJ", "iKyzaa DJ", "http://119.59.99.80:8000", "96 kbps", "MP3", "http://radio.ikyzaa.com", "ALL", "");
        add(data, "Seattle's Hot Jamz", "Seattle's Hot Jamz", "http://208.76.152.72:8000", "256 kbps", "MP3", "http://www.hotjamz.org", "Top 40", "");
        add(data, "RadioMv.com | Russian Christian Radio (24 Kbps)", "RadioMv.com | Russian Christian Radio (24 Kbps)", "http://65.19.173.132:2202", "24 kbps", "MP3", "http://www.RadioMv.com", "Spiritual, Religious, Russian", "");
        add(data, "CINEMIX Soundtracks", "CINEMIX Soundtracks", "http://192.184.9.79:8006", "96 kbps", "MP3", "http://www.cinemix.us", "Soundtracks Classical New Age", "");
        add(data, "Diab FM", "Diab FM", "http://173.192.70.147:7888", "64 kbps", "MP3", "http://www.diabfm.com", "Amr Diab", "");
        add(data, "TheJazzGroove.com - Elegant Jazz.  Laid-back and Commercial Free", "TheJazzGroove.com - Elegant Jazz.  Laid-back and Commercial Free", "http://199.180.72.2:8015", "128 kbps", "MP3", "www.TheJazzGroove.com", "Jazz", "");
        add(data, "HawaiianRainbow.com - Hawaiian music - Streaming da kine in stereo since 1999!!", "HawaiianRainbow.com - Hawaiian music - Streaming da kine in stereo since 1999!!", "http://50.23.115.122:8325", "128 kbps", "MP3", "http://www.HawaiianRainbow.com", "Hawaiian, World", "");
        add(data, "HardBase.FM - 24h Hardstyle, Jumpstyle & More", "HardBase.FM - 24h Hardstyle, Jumpstyle & More", "http://46.165.232.16:80", "192 kbps", "MP3", "http://www.HardBase.FM", "Hard House", "");
        add(data, "Deep Mix Moscow Radio: deepmix.ru", "Deep Mix Moscow Radio: deepmix.ru", "http://212.7.194.133:8128", "128 kbps", "MP3", "http://www.deepmix.eu/", "Deep House Techno Minimal Tech Dub Electronic Mixed", "");
        add(data, "Michigan Radio", "Michigan Radio", "http://141.213.255.22:8004", "64 kbps", "MP3", "http://www.michiganradio.org/", "Misc", "");
        add(data, "ZenRadio.FM: ZenRadio.FM(tm) - Official Zen Radio - Ambient Alternative Zen Relaxation World Classical Contemporary Downtempo Jazz Smooth Spiritual European Film/Show Eclectic Instrumental Various", "ZenRadio.FM: ZenRadio.FM(tm) - Official Zen Radio - Ambient Alternative Zen Relaxation World Classical Contemporary Downtempo Jazz Smooth Spiritual European Film/Show Eclectic Instrumental Various", "http://188.165.56.222:8880", "128 kbps", "MP3", "http://www.zenradio.fm", "Ambient, World, Zen", "");
        add(data, "BLUES RADIO (1.FM TM)", "BLUES RADIO (1.FM TM)", "http://205.164.62.13:8030", "128 kbps", "MP3", "http://www.1.fm", "Blues", "");
        add(data, "181.FM - Old School Hip Hop & RNB", "181.FM - Old School Hip Hop & RNB", "http://108.61.73.119:8068", "128 kbps", "MP3", "http://www.181.fm", "Hip-Hop Oldies R&B", "");
        add(data, "#MUSIK.GOLDIES - WWW.RAUTEMUSIK.FM - 24H OLDIES CLASSIC ROCK 60S 70S 80S POP AND MORE!", "#MUSIK.GOLDIES - WWW.RAUTEMUSIK.FM - 24H OLDIES CLASSIC ROCK 60S 70S 80S POP AND MORE!", "http://193.34.51.19:80", "128 kbps", "MP3", "http://www.RauteMusik.FM/", "Decades Oldies 80s 70s 60s", "");
        add(data, "BOOMSTATION.NET BLAZING REGGAE, DANCEHALL & SOCA MUSIC 24/7", "BOOMSTATION.NET BLAZING REGGAE, DANCEHALL & SOCA MUSIC 24/7", "http://184.154.125.18:8217", "128 kbps", "MP3", "http://www.boomstation.net", "Reggae, Dancehall, Soca", "");
        add(data, "Ambient Sleeping Pill", "Ambient Sleeping Pill", "http://173.236.50.61:8000", "128 kbps", "MP3", "http://ambientsleepingpill.com", "Ambient,Environmental,Healing,Meditation,Chill", "");
        add(data, "CLASSICAL 102 - The First Class In Music", "CLASSICAL 102 - The First Class In Music", "http://80.237.210.39:80", "128 kbps", "MP3", "http://www.classical102.com", "Classical", "");
        add(data, "54house.fm - The Heartbeat Of House Music", "54house.fm - The Heartbeat Of House Music", "http://46.165.208.103:80", "256 kbps", "MP3", "http://www.icecast.org/", "House Electro", "");
        add(data, "www.ekoolfm.com TURKCE MUZiK TURKiSH HiT MUSiC EkoolFM E HOSGELDNIZ", "www.ekoolfm.com TURKCE MUZiK TURKiSH HiT MUSiC EkoolFM E HOSGELDNIZ", "http://188.165.12.64:2222", "48 kbps", "MP3", "http://www.ekoolfm.com", "turkce turkish hit pop slow", "");
        add(data, "BesteFM", "BesteFM", "http://5.63.146.244:10468", "64 kbps", "MP3", "http://bestefm.com", "Turkce Turkish Turkisch World Pop", "");
        add(data, "Clube FM Joao Pessoa", "Clube FM Joao Pessoa", "http://187.17.67.228:9181", "128 kbps", "MP3", "http://www.clubejp.fm", "Various", "");
        add(data, "LA RADIO DE MODA  ECUADOR", "LA RADIO DE MODA  ECUADOR", "http://5.63.146.244:2314", "80 kbps", "MP3", "http://www.laradiodemoda.es.tl/", "Latin", "");
        add(data, "1.FM - BAY SMOOTH JAZZ RADIO", "1.FM - BAY SMOOTH JAZZ RADIO", "http://205.164.41.18:7082", "64 kbps", "AAC+", "http://www.1.fm", "jazz", "");
        add(data, "KCRW Simulcast", "KCRW Simulcast", "http://stream-61.shoutcast.com:80/kcrw_simulcast_mp3_128kbps", "128 kbps", "MP3", "http://www.kcrw.org", "News", "");
        add(data, "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! Classical.24", "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!! Classical.24", "http://222.122.131.60:1300", "128 kbps", "MP3", "http://www.shoutcast.com", "Classical", "");
        add(data, "All Hit 70s - SKY.FM - All Hits, All The Time!", "All Hit 70s - SKY.FM - All Hits, All The Time!", "http://stream-45.shoutcast.com:80/all_hit_70s_skyfm_mp3_96kbps", "96 kbps", "MP3", "http://www.sky.fm/hit70s", "70s", "");
        add(data, "Reggaeton 24/7 - La Original - Solo Exitos De Reggaeton", "Reggaeton 24/7 - La Original - Solo Exitos De Reggaeton", "http://192.81.248.32:8162", "128 kbps", "MP3", "http://latinohd.com/", "Reggaeton Latin", "");
        add(data, "HIGHLIFE RADIO - GHANA", "HIGHLIFE RADIO - GHANA", "http://173.192.205.185:80", "128 kbps", "MP3", "http://www.highlifetoday.com", "Ghana", "");
        add(data, "StreamingSoundtracks.com - Scores of Music from Movies, Game, TV & Anime w/Chat & Automated Requests", "StreamingSoundtracks.com - Scores of Music from Movies, Game, TV & Anime w/Chat & Automated Requests", "http://173.192.32.198:80", "128 kbps", "MP3", "http://www.streamingsoundtracks.com", "Classic Original Soundtracks", "");
        add(data, "Kalp FM", "Kalp FM", "http://5.152.193.141:8044", "32 kbps", "MP3", "http://www.kalpfm.com", "Karma", "");
        add(data, "181.FM - Star 90's", "181.FM - Star 90's", "http://184.154.222.210:12108", "128 kbps", "MP3", "http://www.181.FM", "90s Top 40", "");
        add(data, "Atlantis Radio Philippines | Pinoy Radio - Playing All The Best of Pop Love Songs", "Atlantis Radio Philippines | Pinoy Radio - Playing All The Best of Pop Love Songs", "http://198.154.114.251:8000", "64 kbps", "MP3", "http://www.atlantisradio.net", "pop, pinoy, love songs,", "");
        add(data, "Radio Vision 2000 - La radio qui vous ecoute!", "Radio Vision 2000 - La radio qui vous ecoute!", "http://64.15.132.62:9062", "48 kbps", "MP3", "http://www.radiovision2000haiti.net", "Misc", "");
        add(data, "MegaLink Radio Panamericana FM 96.1", "MegaLink Radio Panamericana FM 96.1", "http://76.74.154.38:8070", "24 kbps", "MP3", "http://www.megalink.com/", "BOLIVIA", "");
        add(data, "Athens Radio DeeJay", "Athens Radio DeeJay", "http://69.61.106.117:9994", "96 kbps", "MP3", "http://www.athensdeejay.gr", "Various", "");
        add(data, "radio city 24 & 5aab radio  punjabi radio", "radio city 24 & 5aab radio  punjabi radio", "http://112.196.11.244:9248", "32 kbps", "MP3", "http://www.radiocity24.com", "hindi punjabi mix", "");
        add(data, "ZADE FM\"DJ_AnGEL\" ANGEL'S CITY", "ZADE FM\"DJ_AnGEL\" ANGEL'S CITY", "http://188.165.140.225:8205", "64 kbps", "MP3", "http://www.oyunzade.com", "Various", "");
        add(data, "Absolute COUNTRY", "Absolute COUNTRY", "http://50.30.34.61:8010", "128 kbps", "MP3", "http://www.absolutecountryhits.com", "Country", "");
        add(data, "Big R Radio - Classic R&B", "Big R Radio - Classic R&B", "http://174.36.108.142:7010", "128 kbps", "MP3", "http://www.bigrradio.com", "RnB", "");
        add(data, ".:::ARGES MIOVENI NR1:::.", ".:::ARGES MIOVENI NR1:::.", "http://89.39.189.53:8000", "96 kbps", "MP3", "http://radiomioveninr1.ucoz.ro/", "European Romania Petrecere Top40", "");
        add(data, "Sout Mounir | The Official Radio of The King", "Sout Mounir | The Official Radio of The King", "http://173.192.70.144:8018", "64 kbps", "MP3", "soutmounir.com", "World", "");
        add(data, "Rádio Jovem Pan FM", "Rádio Jovem Pan FM", "http://50.7.66.3:8008", "64 kbps", "MP3", "http://jovempanfm.com.br", "Top40", "");
        add(data, "181.FM - The Beatles Channel", "181.FM - The Beatles Channel", "http://108.61.73.119:8062", "128 kbps", "MP3", "http://www.181.fm", "Oldies", "");
        add(data, "Radio Banovina Croatia", "Radio Banovina Croatia", "http://5.9.87.117:8005", "96 kbps", "MP3", "http://www.radio-banovina.hr", "domaca zabavna narodna", "");
        add(data, "Radio 730", "Radio 730", "http://38.96.175.97:4428", "48 kbps", "MP3", "http://www.portal730.com.br", "Various", "");
        add(data, ": Vaughan Radio :", ": Vaughan Radio :", "http://188.165.134.38:8012", "28 kbps", "MP3", "http://www.vaughanradio.com", "Educational", "");
        add(data, "Radio BN +38755228412 96 kbps", "Radio BN +38755228412 96 kbps", "http://5.9.135.70:8522", "96 kbps", "MP3", "http://www.radiobn.net", "folk", "");
        add(data, "Dhol Radio", "Dhol Radio", "http://176.9.18.27:8000", "32 kbps", "MP3", "http://www.dholradio.org", "Punjabi", "");
        add(data, "1.FM - CLASSIC ROCK REPLAY RADIO", "1.FM - CLASSIC ROCK REPLAY RADIO", "http://205.164.36.13:80", "128 kbps", "MP3", "http://www.1.FM", "Rock", "");
        add(data, "Big R Radio - 80s & 90s Pop Mix", "Big R Radio - 80s & 90s Pop Mix", "http://174.36.42.110:8700", "128 kbps", "MP3", "http://www.bigrradio.com", "80s, 90s, Mix", "");
        add(data, "A-1Hits.com", "A-1Hits.com", "http://50.7.98.106:8508", "128 kbps", "MP3", "http://www.a-1hits.com", "Top 40, Pop, Hip Hop, Urban, R&B", "");
        add(data, "ALL EURO 80's RADIO (1.FM TM)", "ALL EURO 80's RADIO (1.FM TM)", "http://205.164.62.13:8097", "128 kbps", "MP3", "http://www.1.fm", "80s", "");
        add(data, "HOUSEMUSIQUE - The Original Deep House by Netmusique", "HOUSEMUSIQUE - The Original Deep House by Netmusique", "http://stream-05.shoutcast.com:8000/lush_somafm_mp3_128kbps", "128 kbps", "MP3", "http://www.netmusique.com", "House", "");
        add(data, "Progressive - DIGITALLY IMPORTED - house, techno, and trance beats for your mind!", "Progressive - DIGITALLY IMPORTED - house, techno, and trance beats for your mind!", "http://stream-138.shoutcast.com:80/progressive_mp3_96kbps", "96 kbps", "MP3", "http://www.di.fm/progressive", "Progressive", "");
        add(data, "Absolute Hitz", "Absolute Hitz", "http://204.45.6.58:8062", "64 kbps", "MP3", "http://absolutehitz.com", "Top 40", "");
        add(data, "Amazing Smooth and Jazz", "Amazing Smooth and Jazz", "http://88.208.232.147:8090", "128 kbps", "MP3", "http://smoothandjazz.com", "Smooth Jazz", "");
        add(data, "181.FM - **UK Top 40**", "181.FM - **UK Top 40**", "http://188.165.255.198:9978", "128 kbps", "MP3", "http://www.181.fm", "Top40", "");
        add(data, "Www.RadioMergimi.com", "Www.RadioMergimi.com", "http://62.75.206.133:8000", "48 kbps", "MP3", "http://www.Radiomergimi.com", "Albanian Kosova Online", "");
        add(data, "1.FM - AMSTERDAM TRANCE RADIO", "1.FM - AMSTERDAM TRANCE RADIO", "http://205.164.62.13:7700", "128 kbps", "MP3", "http://www.1.fm", "Trance Progressive", "");
        add(data, "MAXIMA 96 3 DONDE VIVE LA MUSICA", "MAXIMA 96 3 DONDE VIVE LA MUSICA", "http://72.52.255.86:8028", "128 kbps", "MP3", "www.maxima96.com.mx", "ANGLO", "");
        add(data, "ChroniX Aggression - Loud & Clear - www.chronixradio.com", "ChroniX Aggression - Loud & Clear - www.chronixradio.com", "http://173.192.45.18:10200", "128 kbps", "MP3", "http://www.chronixradio.com", "METAL, ROCK, ALTERNATIVE", "");
        add(data, "Columbia Estereo, 92.7 fm. \"cada vez mas Romantica!!\" TE1506gcrLMN", "Columbia Estereo, 92.7 fm. \"cada vez mas Romantica!!\" TE1506gcrLMN", "http://74.115.213.38:8119", "128 kbps", "MP3", "managed by Luxwer Media Networks", "pop", "");
        add(data, "AnimeNexus: OTAKU RUMBLE - www.AnimeNexus.net", "AnimeNexus: OTAKU RUMBLE - www.AnimeNexus.net", "http://69.64.33.37:8000", "96 kbps", "MP3", "http://www.animenexus.net", "Anime, Mangas & Genero Otaku", "");
        add(data, "Dancetime.FM - The Best Way To Move", "Dancetime.FM - The Best Way To Move", "http://80.237.157.91:9000", "160 kbps", "MP3", "http://www.dancetime.fm", "Techno Dance House", "");
        add(data, "RADIO GAIA", "RADIO GAIA", "http://173.193.32.153:8090", "128 kbps", "MP3", "http://www.radiogaia.com.br", "New age", "");
        add(data, "ZaM Radio Stanice ZaMRadio, Narodna Zabavna Muzika, Bosna Srbija Hrvatska Balkan, radijo stanice", "ZaM Radio Stanice ZaMRadio, Narodna Zabavna Muzika, Bosna Srbija Hrvatska Balkan, radijo stanice", "http://213.163.64.123:8022", "64 kbps", "MP3", "http://www.zamradio.com", "Narodna zabavna muzika uzivo radio stanice radijo bosna srbija hrvatska glazba sarajevo beograd, radio stanice", "");
        add(data, "Latino21.com", "Latino21.com", "http://159.253.145.180:7094", "128 kbps", "MP3", "http://Latino21.com/Radio", "Reggaeton", "");
        add(data, "GDRADIO.NET - Streaming Grateful Dead and more!", "GDRADIO.NET - Streaming Grateful Dead and more!", "http://208.80.53.104:26260", "64 kbps", "MP3", "http://www.gdradio.net", "rock", "");
        add(data, "SEOULFM | KPOP Radio!", "SEOULFM | KPOP Radio!", "http://192.151.150.246:80", "128 kbps", "MP3", "http://www.seoul.fm", "Asian, Korean, KPOP", "");
        add(data, "ITAPOAN FM", "ITAPOAN FM", "http://67.205.112.109:8000", "56 kbps", "MP3", "http://www.itapoanfm", "Various", "");
        add(data, "Radyo DoGu", "Radyo DoGu", "http://94.23.146.178:6677", "48 kbps", "MP3", "http://radyodogu.com", "Kurtce Ozgun Halk", "");
        add(data, "Radio Lumiere Inter live from Cap-Haitien Haiti", "Radio Lumiere Inter live from Cap-Haitien Haiti", "http://173.192.70.154:7654", "64 kbps", "MP3", "http://www.radiolumiere.ht", "Gospel", "");
        add(data, "DamarFm.Com Jilet Gibi Radyo", "DamarFm.Com Jilet Gibi Radyo", "http://188.138.17.12:8080", "64 kbps", "MP3", "http://www.damarfm.com/", "Misc", "");
        add(data, "181.FM - Mellow Gold", "181.FM - Mellow Gold", "http://192.64.85.103:8060", "128 kbps", "MP3", "http://www.181.fm", "Oldies", "");
        add(data, "PinoyRadio.com", "PinoyRadio.com", "http://198.178.123.8:7168", "96 kbps", "MP3", "http://www.pinoyradio.com", "Pinoy, Filipino, Philippines, Tagalog, OPM", "");
        add(data, "LA Z", "LA Z", "http://198.72.112.42:8020", "112 kbps", "MP3", "http://www.shoutcast.com", "Misc", "");
        add(data, "COPE DON BENITO VILLANUEVA", "COPE DON BENITO VILLANUEVA", "http://184.107.176.178:9254", "96 kbps", "MP3", "http://www.copedirecto.com", "Various", "");
        add(data, "EuroDance - DIGITALLY IMPORTED - the newest and best of Eurodance hits", "EuroDance - DIGITALLY IMPORTED - the newest and best of Eurodance hits", "http://stream-97.shoutcast.com:80/eurodance_difm_mp3_96kbps", "96 kbps", "MP3", "http://www.di.fm/eurodance", "Electronic", "");
        add(data, "#MUSIK.ROCK (EXTREME) - WWW.RAUTEMUSIK.FM - 24H ROCK ALTERNATIVE METAL AND MORE", "#MUSIK.ROCK (EXTREME) - WWW.RAUTEMUSIK.FM - 24H ROCK ALTERNATIVE METAL AND MORE", "http://193.34.51.32:80", "128 kbps", "MP3", "http://www.RauteMusik.FM/", "Rock Alternative Metal", "");
        add(data, "......::::: Healing :::::...... New Age, Piano, Easy Listening Instrumental,Chillout, Smooth", "......::::: Healing :::::...... New Age, Piano, Easy Listening Instrumental,Chillout, Smooth", "http://222.122.178.187:8572", "128 kbps", "MP3", "http://bluefm.net", "New Age,Classical,Jazz", "");
        add(data, "ZONADEZ A RADIO DEZ DO BRASIL", "ZONADEZ A RADIO DEZ DO BRASIL", "http://78.159.112.72:8029", "64 kbps", "MP3", "http://www.ZONADEZ.com", "COUntry", "");
        add(data, "Radio Dos, 99.5 fm. \"Exitos que fueron de uno y ahora son de los Dos\" TE1506gcrLMN", "Radio Dos, 99.5 fm. \"Exitos que fueron de uno y ahora son de los Dos\" TE1506gcrLMN", "http://74.115.213.38:8115", "128 kbps", "MP3", "managed by Luxwer Media Networks", "oldies", "");
        add(data, "420 WTHC indica Radio", "420 WTHC indica Radio", "http://184.82.87.122:6032", "128 kbps", "MP3", "http://184.82.87.122:6032", "Hip-Hop, Dancehall, Reggaeton, R&B", "");
        add(data, "LaBachatera.Com", "LaBachatera.Com", "http://72.20.30.202:2224/bachata.mp3", "64 kbps", "MP3", "http://www.labachatera.com", "Bachata", "");
        add(data, "RADIOMAS 99.7FM.", "RADIOMAS 99.7FM.", "http://198.178.123.8:7668", "56 kbps", "MP3", "http://wwwradiomas99.net", "Various", "");
        add(data, "\"AddictedToRadio.com - Dance Hits Chicago HQ\"", "\"AddictedToRadio.com - Dance Hits Chicago HQ\"", "http://208.77.21.21:10025", "128 kbps", "MP3", "http://addictedtoradio.com", "Dance / House / Pop / Remixes", "");
        add(data, "181.FM - Comedy Club (*Explicit Content*)", "181.FM - Comedy Club (*Explicit Content*)", "http://108.61.73.119:8026", "64 kbps", "MP3", "http://www.181.fm", "Comedy", "");
        add(data, "4U Classic Rock", "4U Classic Rock", "http://217.114.200.100:80", "128 kbps", "MP3", "http://www.4uradios.com", "Rock", "");
        add(data, "AceRadio.net - The Mix Channel", "AceRadio.net - The Mix Channel", "http://174.36.42.110:8390", "128 kbps", "MP3", "http://www.aceradio.net", "Mix, Pop", "");
        add(data, "MegaFox24 | einfach mega | Schlager Discofox Top 40 European | www.megafox24.de", "MegaFox24 | einfach mega | Schlager Discofox Top 40 European | www.megafox24.de", "http://178.33.230.12:11000", "160 kbps", "MP3", "http://www.megafox24.de", "Schlager Discofox Top40 European Pop", "");
        add(data, "RADIONL Nederlands Nr.1", "RADIONL Nederlands Nr.1", "http://178.19.127.4:7004", "128 kbps", "MP3", "http://www.radionl.fm", "Nederlands Nederlandstalig Hollands Piraat", "");
        add(data, "AWFM 101.1 Mellow Touch | Philippines | Pinoy Radio", "AWFM 101.1 Mellow Touch | Philippines | Pinoy Radio", "http://173.236.50.62:80", "64 kbps", "MP3", "http://www.airwaves1011.fm", "Various Pop Easy Opm", "");
        add(data, "20th Century Radio", "20th Century Radio", "http://74.53.80.173:6006", "64 kbps", "MP3", "http://www.20thCenturyRadio.com", "OTR Spoken", "");
        add(data, "SLOW JAMZ", "SLOW JAMZ", "http://173.193.32.153:8028", "128 kbps", "MP3", "http://www.slowjamz.com.br", "R&B", "");
        add(data, "XL Radio Gurbani Kirtan 24/7- Canada", "XL Radio Gurbani Kirtan 24/7- Canada", "http://67.228.177.153:8459/Live", "64 kbps", "MP3", "http://www.xlradio.ca", "Indian", "");
        add(data, "AceRadio.net - Glee Radio", "AceRadio.net - Glee Radio", "http://174.36.42.110:8360", "128 kbps", "MP3", "http://www.aceradio.net", "Various", "");
        add(data, "Music One", "Music One", "http://stream-91.shoutcast.com:80/musicone_mp3_128kbps", "128 kbps", "MP3", "http://www.musicone.fm", "Dance", "");
        add(data, "Fine Art: The Essential Art Bell (www.fineartstream.com)", "Fine Art: The Essential Art Bell (www.fineartstream.com)", "http://198.154.112.233:8374", "24 kbps", "MP3", "http://www.fineartstream.com", "Talk", "");
        add(data, "Radyo KBYN - At Home With Great Philippine Philippines Pinoy OPM Radyo Kabayan Filipino Music!", "Radyo KBYN - At Home With Great Philippine Philippines Pinoy OPM Radyo Kabayan Filipino Music!", "http://69.175.127.154:9044", "64 kbps", "MP3", "http://www.radyokabayan.com", "Pop", "");
        add(data, "Birdsong Radio", "Birdsong Radio", "http://83.170.84.48:7309/Live", "128 kbps", "MP3", "http://www.birdsongradio.com", "Chill", "");
        add(data, "Radio J-Hero - Do seu Jeito, do Seu GOSTO!!!", "Radio J-Hero - Do seu Jeito, do Seu GOSTO!!!", "http://74.222.3.235:9566", "64 kbps", "MP3", "http://www.radiojhero.com", "J-Music", "");
        add(data, "Radio Braila Dens FM 104,4 MHz by www.RomaniaRadio.ro", "Radio Braila Dens FM 104,4 MHz by www.RomaniaRadio.ro", "http://89.122.28.160:8004", "56 kbps", "MP3", "http://www.RomaniaRadio.ro", "International Folk Seasonal", "");
        add(data, "Corridos Alterados 247", "Corridos Alterados 247", "http://178.33.237.151:9968", "64 kbps", "MP3", "www.CorridosAlterados.Net", "Corridos", "");
        add(data, "Ke Buena | Ke Rica Suena!", "Ke Buena | Ke Rica Suena!", "http://199.191.58.182:7058", "128 kbps", "MP3", "http://www.grupoalius.com", "Country", "");
        add(data, "Radio Bautista 89.7 FM", "Radio Bautista 89.7 FM", "http://184.154.145.146:8200", "96 kbps", "MP3", "http://www.tabernaculo.net", "Inspirational, Christian", "");
        add(data, "181.fm - Real Country", "181.fm - Real Country", "http://174.36.241.224:10030", "128 kbps", "MP3", "http://www.181.fm", "Country", "");
        add(data, "KCRW ECLECTIC24: All Music Stream", "KCRW ECLECTIC24: All Music Stream", "http://stream-135.shoutcast.com:80/kcrw_eclectic24_mp3_128kbps", "128 kbps", "MP3", "http://www.kcrw.org", "College", "");
        add(data, "Radio 105FM - server 03 - Guti1001", "Radio 105FM - server 03 - Guti1001", "http://94.23.159.187:9962", "96 kbps", "MP3", "http://www.guti1001.com.br", "Various", "");
        add(data, "AceRadio - The Smooth Jazz Channel", "AceRadio - The Smooth Jazz Channel", "http://67.228.177.131:8540", "128 kbps", "MP3", "http://aceradio.net", "Smooth Jazz", "");
        add(data, "80s Planet.com::80sPlanet.com, the 80s!", "80s Planet.com::80sPlanet.com, the 80s!", "http://67.213.220.37:8080", "64 kbps", "MP3", "http://www.80splanet.com", "decades,80s,oldies", "");
        add(data, "House - DIGITALLY IMPORTED - silky sexy deep house music direct from New York city!", "House - DIGITALLY IMPORTED - silky sexy deep house music direct from New York city!", "http://stream-81.shoutcast.com:80/house_difm_mp3_96kbps", "96 kbps", "MP3", "http://www.di.fm/house", "House", "");
        add(data, "Big R Radio - 100.7 The Mix", "Big R Radio - 100.7 The Mix", "http://67.228.150.199:8140", "128 kbps", "MP3", "http://www.bigrradio.com", "Mix, Pop, Today", "");
        add(data, "~&&~~::M::A::V::Ý::S::~&&~~", "~&&~~::M::A::V::Ý::S::~&&~~", "http://72.8.157.44:7009", "32 kbps", "MP3", "http://www.Geveze.ORG", "~~::M::A::V::Ý::S::~~", "");
        add(data, "Megahitradio - Die volle Ladung Hits", "Megahitradio - Die volle Ladung Hits", "http://212.48.110.70:30710", "128 kbps", "MP3", "http://www.megahitradio.de", "Top40 Charts Dance", "");
        add(data, "Zik FM 105.9 live from Dakar ::::::::::", "Zik FM 105.9 live from Dakar ::::::::::", "http://173.236.81.218:9012", "24 kbps", "MP3", "http://www.zikfm.net", "Music Hit", "");
        add(data, "BOSSA NOVA HITS | Music with the Soul of Rio de Janeiro", "BOSSA NOVA HITS | Music with the Soul of Rio de Janeiro", "http://85.25.16.7:8006", "128 kbps", "MP3", "http://www.bossanovahits.com.br", "Bossa Nova", "");
        add(data, "Big B Radio - JPOP | The Hot Station for Asian Music", "Big B Radio - JPOP | The Hot Station for Asian Music", "http://199.241.187.194:8070", "128 kbps", "MP3", "http://www.bigbradio.com", "Japanese Jpop Jrock anime vocaloid Kpop urban R&amp;B AKB48", "");
        add(data, "MASTRADIO.COM - Noise Filtered. Masti Powered. Only the best tracks.", "MASTRADIO.COM - Noise Filtered. Masti Powered. Only the best tracks.", "http://192.157.236.14:8000", "128 kbps", "MP3", "http://www.mastradio.com", "Hindi,Urdu,Bollywood,World", "");
        add(data, "radioparty.pl - najlepsza klubowa muzyka w sieci || Techno Trance House Dance !!!", "radioparty.pl - najlepsza klubowa muzyka w sieci || Techno Trance House Dance !!!", "http://5.135.136.85:8005", "96 kbps", "MP3", "Klubowa Walcownia!", "Van RaD0", "");
        add(data, "HARDER-FM THE HARDERSOUND POWERED BY DYB.FM", "HARDER-FM THE HARDERSOUND POWERED BY DYB.FM", "http://46.21.173.213:8016", "128 kbps", "MP3", "http://harder-fm.nl", "HARDCORE GABBER RAVE MIXES", "");
        add(data, "AbidingRadio Instrumental - Christian Instrumental (No Vocals) - Tax deductable donations appreciated at AbidingRadio.org - Visit our sister ministry TheWordForLife.org", "AbidingRadio Instrumental - Christian Instrumental (No Vocals) - Tax deductable donations appreciated at AbidingRadio.org - Visit our sister ministry TheWordForLife.org", "http://173.192.70.132:7824", "128 kbps", "MP3", "http://www.abidingradio.org", "Christian", "");
        add(data, "CALMRADIO.COM - SLEEP - Sampler", "CALMRADIO.COM - SLEEP - Sampler", "http://173.192.225.172:8606", "56 kbps", "", "http://calmradio.com - Commercial-free memberships are available NOW from CalmRadio.com - Get yours TODAY!", "New Age Ambient", "");
        add(data, "181.FM - 90's Country", "181.FM - 90's Country", "http://108.61.73.118:8050", "128 kbps", "MP3", "http://www.181.fm", "90s Country", "");
        add(data, "ALL HITS STATION", "ALL HITS STATION", "http://199.195.192.234:9998", "128 kbps", "MP3", "http://www.allhitsstation.com", "Top 40 Pop Dance", "");
        add(data, "Peiraiki Ecclesia", "Peiraiki Ecclesia", "http://46.4.73.140:8044", "128 kbps", "MP3", "http://www.pe912fm.com", "Religius Greece", "");
        add(data, "Pingvin Radio - Beograd, Srbija, Belgrade, Serbia", "Pingvin Radio - Beograd, Srbija, Belgrade, Serbia", "http://85.25.12.10:11000", "64 kbps", "MP3", "http://www.radiopingvin.com", "World International Pop", "");
        add(data, "ElectricFM.com- America's Real Dance!", "ElectricFM.com- America's Real Dance!", "http://72.13.83.151:80", "128 kbps", "MP3", "http://www.ElectricFM.com", "Dance Electronic Pop Top 40", "");
        add(data, "COOL FM 901 PHILIPPINES & PINOY", "COOL FM 901 PHILIPPINES & PINOY", "http://67.213.213.137:8039", "32 kbps", "MP3", "http://coolfm901hangout.weebly.com/#/", "adult contemporary", "");
        add(data, "Big R Radio - Country Oldies", "Big R Radio - Country Oldies", "http://67.228.150.199:8230", "128 kbps", "MP3", "http://www.bigrradio.com", "Country, Oldies", "");
        add(data, "Radio Maroc Moroccanvoice.com", "Radio Maroc Moroccanvoice.com", "http://173.213.80.218:8000", "56 kbps", "MP3", "http://www.moroccanvoice.com", "arabic maroc moroccan", "");
        add(data, "Cafedelmar FM", "Cafedelmar FM", "http://37.59.222.41:9988", "128 kbps", "MP3", "http://www.cafedelmar.fm", "Lounge", "");
        add(data, "Antenna1", "Antenna1", "http://159.253.145.179:9008", "128 kbps", "MP3", "http://www.antenna1.fm", "World", "");
        add(data, "SMOOTHJAZZTAMPABAY.COM - \"The Smoothest Place On The Planet\" Broadcasting Live From Sunny Tampa Bay Florida", "SMOOTHJAZZTAMPABAY.COM - \"The Smoothest Place On The Planet\" Broadcasting Live From Sunny Tampa Bay Florida", "http://192.81.248.193:8032", "128 kbps", "MP3", "http://smoothjazztampabay.com", "Smooth Jazz R&B Soul Funk Chill Lounge", "");
        add(data, "Love101 FM - Kingston Jamaica", "Love101 FM - Kingston Jamaica", "http://207.150.205.240:8044", "128 kbps", "MP3", "http://www.audiorealm.com", "Various", "");
        add(data, "Dub Step Beyond: Dubstep, Dub and Deep Bass. May damage speakers at high volume. [SomaFM]", "Dub Step Beyond: Dubstep, Dub and Deep Bass. May damage speakers at high volume. [SomaFM]", "http://173.192.176.180:8400", "128 kbps", "MP3", "http://somafm.com", "Dubstep Dub", "");
        add(data, "DALKAS88,2", "DALKAS88,2", "http://78.46.66.215:8007", "128 kbps", "MP3", "www.dalkas.gr", "Various", "");
        add(data, "CLUBE AM - PATOS DE MINAS", "CLUBE AM - PATOS DE MINAS", "http://108.163.178.170:8002", "56 kbps", "MP3", "http://www.clubeam.com", "Various", "");
        add(data, "Secret Agent from SomaFM [SomaFM]", "Secret Agent from SomaFM [SomaFM]", "http://stream-34.shoutcast.com:80/secret_agent_somafm_mp3_128kbps", "128 kbps", "MP3", "http://somafm.com/secretagent", "Lounge", "");
        add(data, "Beach House Radio", "Beach House Radio", "http://69.175.122.202:8248", "128 kbps", "MP3", "http://www.beachhouseradio.com", "Chillout Ambient", "");
        add(data, "J-Jams | Modern JPOP and R&B", "J-Jams | Modern JPOP and R&B", "http://50.22.217.204:8046", "128 kbps", "MP3", "http://jjamsradio.weebly.com", "Japanese JPOP R&B Pop", "");
        add(data, "RÃ¡dio S.U.", "RÃ¡dio S.U.", "http://72.55.174.236:8080/radiosu.mp3", "64 kbps", "MP3", "http://www.radiosertanejo.com", "Country", "");
        add(data, "OkeyBizFM", "OkeyBizFM", "http://5.9.126.157:6270", "64 kbps", "MP3", "http://www.okeybiz.com", "pop", "");
        add(data, "Sport 890 - Montevideo - Uruguay", "Sport 890 - Montevideo - Uruguay", "http://184.173.77.4:7914", "32 kbps", "MP3", "", "Deportes - Sports", "");
        add(data, "Ultimice AutoDJ", "Ultimice AutoDJ", "http://109.71.41.230:7140", "128 kbps", "MP3", "http://www.ultimice.com", "Pop", "");
        add(data, "Chromanova.fm proudly presents: Ambient & Chillout Deejay Sets 24/7*", "Chromanova.fm proudly presents: Ambient & Chillout Deejay Sets 24/7*", "http://85.25.86.69:6000", "128 kbps", "MP3", "http://www.chromanova.de", "Ambient Chillout Electronic Trance", "");
        add(data, "Radio Taraf Romania -  Radio Manele -  www.RadioTaraf.com - Hostat de ServereRadio.Com", "Radio Taraf Romania -  Radio Manele -  www.RadioTaraf.com - Hostat de ServereRadio.Com", "http://95.64.36.180:7100", "128 kbps", "MP3", "http://www.radiotaraf.com", "Manele-Petrecere", "");
        add(data, "Radio VHR - Schlager, Deutsch Pop + Rock", "Radio VHR - Schlager, Deutsch Pop + Rock", "http://80.237.159.54:80", "128 kbps", "MP3", "http://www.radio-vhr.de/listen.pls", "Schlager, Deutsch Pop + Rock", "");
        add(data, "1.FM - ADORE JAZZ RADIO", "1.FM - ADORE JAZZ RADIO", "http://205.164.35.21:80", "128 kbps", "MP3", "http://www.1.fm", "Vocal Jazz Standards", "");
        add(data, "mp3qurannet Radio Quran", "mp3qurannet Radio Quran", "http://50.22.217.209:9998", "64 kbps", "MP3", "http://www.mp3quran.net", "Quran", "");
        add(data, "#MUSIK.BIGCITYBEATS - BY BIGCITYBEATS.DE & RAUTEMUSIK.FM - 24H MIXED ELECTRONIC AND HOUSE MUSIC!", "#MUSIK.BIGCITYBEATS - BY BIGCITYBEATS.DE & RAUTEMUSIK.FM - 24H MIXED ELECTRONIC AND HOUSE MUSIC!", "http://193.34.51.98:80", "128 kbps", "MP3", "http://www.RauteMusik.FM/bigcitybeats/", "Electronic House Dance", "");
        add(data, "Revolution Radio", "Revolution Radio", "http://198.178.123.5:8186", "32 kbps", "MP3", "http://www.freedomslips.com", "Talk", "");
        add(data, "Interjet Radio", "Interjet Radio", "http://70.38.54.111:7070", "64 kbps", "MP3", "http://www.interjetradio.com", "Various", "");
        add(data, "Rock 101", "Rock 101", "http://74.86.83.82:8000", "128 kbps", "MP3", "http://www.r101ck.mx", "Eclectic", "");
        add(data, "Kalasam.Com  HD", "Kalasam.Com  HD", "http://173.192.207.51:8084", "128 kbps", "MP3", "http://www.kalasam.com", "tamil ,kalasam", "");
        add(data, "WWNO 3 - Jazz - New Orleans", "WWNO 3 - Jazz - New Orleans", "http://205.164.41.50:18840", "128 kbps", "MP3", "http://nyc01.egihosting.com:18840/listen.pls", "Jazz", "");
        add(data, "Progressive Radio Network", "Progressive Radio Network", "http://216.55.165.146:8000", "64 kbps", "MP3", "http://www.prn.fm", "Talk", "");
        add(data, "PANDAPOPRADIO.COM: Desde Mexico, cortesia del Panda Zambrano. Panda Show 6 PM", "PANDAPOPRADIO.COM: Desde Mexico, cortesia del Panda Zambrano. Panda Show 6 PM", "http://173.193.138.136:7240", "128 kbps", "MP3", "http://www.pandapopradio.com", "Latin Latino Pop Comedy", "");
        add(data, "Vietnam Public Radio - Radio Viet Nam Hai Ngoai Washington DC", "Vietnam Public Radio - Radio Viet Nam Hai Ngoai Washington DC", "http://38.96.148.253:7492", "24 kbps", "MP3", "www.radiohaingoai.com", "Misc", "");
        add(data, "181.FM - Lite 90's", "181.FM - Lite 90's", "http://74.86.186.4:12118", "128 kbps", "MP3", "http://www.181.fm", "90s Top 40", "");
        add(data, "AUDIOGROOVES.NET :: Deep House Soulful House", "AUDIOGROOVES.NET :: Deep House Soulful House", "http://173.244.206.15:9004", "128 kbps", "MP3", "http://www.audiogrooves.net", "House", "");
        add(data, "KaryaFM : Malaysia : Dunia Karya Penghibur Anda", "KaryaFM : Malaysia : Dunia Karya Penghibur Anda", "http://69.197.60.124:8000", "32 kbps", "MP3", "http://KaryaFM.my", "AutoSystem KaryaFM Malaysia", "");
        add(data, "Radio Jat (Beograd - Srbija,Belgrade - Serbia):", "Radio Jat (Beograd - Srbija,Belgrade - Serbia):", "http://77.105.38.194:80", "48 kbps", "MP3", "http://www.radiojat.rs", "Domaca Zabavna Pop Yu", "");
        add(data, "Roots Reggae - SKY.FM - the best of classic and modern Roots Reggae with DJ Bahilman", "Roots Reggae - SKY.FM - the best of classic and modern Roots Reggae with DJ Bahilman", "http://stream-131.shoutcast.com:80/rootsreggae_skyfm_mp3_96kbps", "96 kbps", "MP3", "http://www.sky.fm/rootsreggae", "Reggae Roots", "");
        add(data, ":: Electro Radio :: all about electromusic - www.electroradio.ch", ":: Electro Radio :: all about electromusic - www.electroradio.ch", "http://178.32.57.58:8581", "128 kbps", "MP3", "http://www.electroradio.ch", "Electro Electronic House", "");
        add(data, "sources radio uk", "sources radio uk", "http://184.154.125.18:8279", "64 kbps", "MP3", "http://www.sourcesradiouk.com", "Various", "");
        add(data, "Beatles-A-Rama!!!", "Beatles-A-Rama!!!", "http://65.60.49.202:9255", "64 kbps", "MP3", "N/A", "Oldies Pop Rock 70s 80s", "");
        add(data, "Desetka Radio Beograd", "Desetka Radio Beograd", "http://46.165.232.60:80", "64 kbps", "MP3", "http://www.desetka.com", "World, Zabavna, Rock, Pop, Dance", "");
        add(data, "filmyradio romantic hindi", "filmyradio romantic hindi", "http://159.253.143.4:8394", "32 kbps", "MP3", "http://localhost/", "HINDI BOLLYWOOD INDIAN INTERNATION", "");
        add(data, "NetworkStudio5 Live Italy Italia", "NetworkStudio5 Live Italy Italia", "http://174.36.206.197:8112", "64 kbps", "MP3", "http://www.networkstudio5.it", "Oldies", "");
        add(data, "SmoothLounge.com Global Radio - Chilled Organic Beats from California to the World - KSJZ.DB", "SmoothLounge.com Global Radio - Chilled Organic Beats from California to the World - KSJZ.DB", "http://173.244.199.253:80", "128 kbps", "MP3", "http://www.smoothlounge.com", "chill out downtempo ambient smooth urban", "");
        add(data, "Radio Musical", "Radio Musical", "http://173.192.70.132:7274", "64 kbps", "MP3", "http://www.radiomusical.com", "Various", "");
        add(data, "Radio Fiesta 104.9 FM", "Radio Fiesta 104.9 FM", "http://199.192.77.202:8062", "128 kbps", "MP3", "http://www.fiesta.com.sv/", "Various", "");
        add(data, "1.FM - REGGAETRADE RADIO", "1.FM - REGGAETRADE RADIO", "http://205.164.35.25:80", "128 kbps", "MP3", "http://www.radioreggaetrade.com", "Reggae World", "");
        add(data, "Punjabi Radio USA", "Punjabi Radio USA", "http://198.178.123.5:7016", "64 kbps", "MP3", "", "Punjabi", "");
        add(data, "British Comedy Channel - ROK C Radio - OTR - Old Time Radio", "British Comedy Channel - ROK C Radio - OTR - Old Time Radio", "http://159.253.145.178:9155", "32 kbps", "MP3", "http://www.pumpkinfm.com", "Talk, Old Time Radio, Speech, Spoken Word", "");
        add(data, "#MUSIK.TRANCE - WWW.RAUTEMUSIK.FM - 24H MIXED VOCAL TRANCE PROGRESSIVE UPLIFTING HARD TECHNO AND MORE!", "#MUSIK.TRANCE - WWW.RAUTEMUSIK.FM - 24H MIXED VOCAL TRANCE PROGRESSIVE UPLIFTING HARD TECHNO AND MORE!", "http://193.34.51.101:80", "128 kbps", "MP3", "http://www.RauteMusik.FM/trance/", "Trance Techno Electronic", "");
        add(data, "SUNNI GLOBAL VOICE (LIVE CHARCHA)", "SUNNI GLOBAL VOICE (LIVE CHARCHA)", "http://50.115.124.196:24406", "24 kbps", "MP3", "http://www.mobile.sunniglobalvoice.com", "Islamic", "");
        add(data, "Rádio Itapoan", "Rádio Itapoan", "http://66.228.121.250:9998", "64 kbps", "MP3", "http://www.itapoan.fm", "Various", "");
        add(data, "Radio Pool - Energia no Ar", "Radio Pool - Energia no Ar", "http://208.115.213.242:8010", "128 kbps", "MP3", "http://www.poolwebradio.com", "Dance 70´s, 80´s, 90´s", "");
        add(data, "Rhema Radio", "Rhema Radio", "http://78.46.107.134:8000", "48 kbps", "MP3", "http://www.rhemaradio.com", "Christian Radio", "");
        add(data, "Cafe Cody - The Soundtrack to Your Life", "Cafe Cody - The Soundtrack to Your Life", "http://70.38.11.155:8092", "64 kbps", "MP3", "http://www.cafecody.com", "chill downtempo ambient", "");
        add(data, "Big R Radio - R&B", "Big R Radio - R&B", "http://173.193.32.131:8070", "128 kbps", "MP3", "http://www.bigrradio.com", "RnB", "");
        add(data, "AceRadio.net - The Alternative Channel", "AceRadio.net - The Alternative Channel", "http://67.228.177.131:8440", "128 kbps", "MP3", "http://www.aceradio.net", "Alternative", "");
        add(data, "[DJ-Shutter-SR-Mix]", "[DJ-Shutter-SR-Mix]", "http://119.59.124.149:9094", "96 kbps", "MP3", "http://www.audiorealm.com", "Various", "");
        add(data, "Latino Pop 2K - 100% Hits", "Latino Pop 2K - 100% Hits", "http://50.23.115.122:8519", "128 kbps", "MP3", "www.latinopop2k.com", "cumbia, bachata, pop, latin, latin pop, reggaeton, merengue, salsa, latino pop, latin rock, pop latino, rock latino, panama, ecuador, pop, latin dance, urbano, romantico, romanticos, clasicos, top 40, bolivia, mexico, argentina, colombia", "");
        add(data, "Beach House Radio Terrazza", "Beach House Radio Terrazza", "http://69.175.122.202:8280", "128 kbps", "MP3", "http://www.beachhouseradio.com", "Chillout", "");
        add(data, "100Hitz - Top 40", "100Hitz - Top 40", "http://173.244.215.162:8300", "128 kbps", "MP3", "http://www.100hitz.com", "Various", "");
        add(data, "AMERICA'S BEST BALLADS RADIO (1.FM TM)", "AMERICA'S BEST BALLADS RADIO (1.FM TM)", "http://205.164.62.15:8680", "128 kbps", "MP3", "http://www.1.fm", "various", "");
        add(data, "Maher Al Meaqli Radio", "Maher Al Meaqli Radio", "http://50.22.217.209:9996", "64 kbps", "MP3", "http://www.mp3quran.net", "Quran", "");
        add(data, "ChroniX GRIT Radio - Hard Rock and Metal - www.chronixradio.com", "ChroniX GRIT Radio - Hard Rock and Metal - www.chronixradio.com", "http://173.192.45.18:10010", "128 kbps", "MP3", "http://www.chronixradio.com", "Rock, Hard Rock, Metal,  Alternative", "");
        add(data, "- Beachclub -", "- Beachclub -", "http://85.25.208.170:8200", "192 kbps", "MP3", "http://sc-beachclub.de", "Querbeet", "");
        add(data, "Alhayafmcom", "Alhayafmcom", "http://5.9.249.1:8000", "64 kbps", "MP3", "http://alhayafm.com/", "Misc", "");
        add(data, "Arabic Music Radio ListenArabic.com", "Arabic Music Radio ListenArabic.com", "http://198.105.220.12:4166/Live", "64 kbps", "MP3", "http://www.listenarabic.com", "Arabic", "");
        add(data, "JewishMusic Stream", "JewishMusic Stream", "http://74.122.197.132:8000", "128 kbps", "MP3", "http://JewishMusicStream.com", "Jewish Music", "");
        add(data, "Armitage's Dimension Jpop/Jrock/Anime, 40,000+ Songs, User Requests, Live Chat and more!", "Armitage's Dimension Jpop/Jrock/Anime, 40,000+ Songs, User Requests, Live Chat and more!", "http://91.121.66.35:8128", "128 kbps", "MP3", "http://www.armitunes.com", "Anime, Japanese Pop (Jpop), JRock", "");
        add(data, "Radio Kanali Shqip \" Projekti 21 \" Kopenhagë - Danimarkë", "Radio Kanali Shqip \" Projekti 21 \" Kopenhagë - Danimarkë", "http://80.86.81.6:8000", "112 kbps", "MP3", "http://www.radioprojekt.dk", "European", "");
        add(data, "SuperBluesRadioCom", "SuperBluesRadioCom", "http://184.154.151.202:8036", "128 kbps", "MP3", "http://www.superbluesradio.com", "Blues", "");
        add(data, "Big Blue Swing.com-64Kbit: Playing music for  Lindy Hop,  Charleston,  Balboa,  Swing, and  Blues", "Big Blue Swing.com-64Kbit: Playing music for  Lindy Hop,  Charleston,  Balboa,  Swing, and  Blues", "http://209.236.126.18:8002", "64 kbps", "MP3", "http://web.bigblueswing.com/", "Swing  Big Band  Jazz  Blues", "");
        add(data, "KPFK 90.7 FM Southern California's Progressive News, Talk and Music", "KPFK 90.7 FM Southern California's Progressive News, Talk and Music", "http://208.43.60.66:9042", "32 kbps", "MP3", "http://www.kpfk.org", "Public Radio, Talk, Music", "");
        add(data, "Mango Urban Live", "Mango Urban Live", "http://75.125.224.82:8000", "128 kbps", "MP3", "http://www.mangoradio.gr", "Urban", "");
        add(data, "Classical KING FM 98.1 Seattle", "Classical KING FM 98.1 Seattle", "http://65.19.131.146:8246", "48 kbps", "MP3", "http://www.king.org", "Classical", "");
        add(data, "CALMRADIO.COM - MOZART - Sampler", "CALMRADIO.COM - MOZART - Sampler", "http://173.192.225.172:7328", "128 kbps", "", "http://calmradio.com - Commercial-free memberships are available from calmradio.com", "Classical", "");
        add(data, "The Buzzoutroom...Chilled-out Ambient Downbeats", "The Buzzoutroom...Chilled-out Ambient Downbeats", "http://192.81.248.194:8034", "128 kbps", "MP3", "http://www.buzzoutroom.com", "Downtempo", "");
        add(data, "BreakZ.us | Radio", "BreakZ.us | Radio", "http://5.135.158.40:80", "128 kbps", "MP3", "http://breakz.us", "Hip-Hop, R&B Urban, Mixtapes, Remixe, Breaks, Blackmusic, Black vs House, Rap, Dirty South, Dancehall, Pop, house, Big Beat, Breakbeat", "");
        add(data, "Republic 100.3 Thessaloniki", "Republic 100.3 Thessaloniki", "http://188.138.112.156:8000", "96 kbps", "MP3", "http://www.republicradio.gr", "Various", "");
        add(data, "KLUX 89.5HD - Good Company", "KLUX 89.5HD - Good Company", "http://67.228.150.184:7610", "64 kbps", "MP3", "http://klux.org", "Easy Listening, Soft, Inspirational", "");
        add(data, "Radio AS FM", "Radio AS FM", "http://109.206.96.95:8020", "64 kbps", "MP3", "http://www.radioas.fm", "Mainstream", "");
        add(data, "Alternative Rock X Radio (1.FM TM)", "Alternative Rock X Radio (1.FM TM)", "http://205.164.36.9:80", "128 kbps", "MP3", "http://www.1.fm", "Alternative", "");
        add(data, "TranceBase.FM - 24h Vocal-, Progressive-, Uplifting-, Hard-Trance, Techno & More", "TranceBase.FM - 24h Vocal-, Progressive-, Uplifting-, Hard-Trance, Techno & More", "http://46.165.232.24:80", "192 kbps", "MP3", "http://www.TranceBase.FM", "Trance", "");
        add(data, "Devil's Night Radio!", "Devil's Night Radio!", "http://67.212.189.20:80", "128 kbps", "MP3", "http://www.devilsnight.com", "Classic Alternative, Punk, Honky Tonk", "");
        add(data, "181.FM - The BOX - #1 For Hip-Hop", "181.FM - The BOX - #1 For Hip-Hop", "http://108.61.73.119:8024", "128 kbps", "MP3", "http://www.181.fm", "urban hip hop rnb rap", "");
        add(data, "RADIO ADORALE", "RADIO ADORALE", "http://74.112.204.194:5976/stream/1/", "64 kbps", "MP3", "http://www.radioadorale.com", "Misc", "");
        add(data, "Radio Corporacion", "Radio Corporacion", "http://199.191.58.182:7016", "40 kbps", "MP3", "http://www.radio-corporacion.com", "Nacional", "");
        add(data, "XAMFM | ALWAYS FRESH AND NEW JPOP & KPOP", "XAMFM | ALWAYS FRESH AND NEW JPOP & KPOP", "http://173.244.196.108:80", "128 kbps", "MP3", "HTTP://WWW.XAMFM.COM", "JPOP KPOP ASIAN Japanese", "");
        add(data, "PaisaEstereo", "PaisaEstereo", "http://184.173.77.4:7094", "64 kbps", "MP3", "http://www.PaisaEstereo.com", "latino, Música Colombiana, salsa, merengue, vallenato, popular, ranchera, bolero, tango, guasca, llanera, tropical. Emisora colombiana, Emisora Paisa, Emisora de Medellín", "");
        add(data, "Z100 Internet", "Z100 Internet", "http://184.107.191.197:8078", "128 kbps", "MP3", "www.z100internet.com", "Top 40 - Pop", "");
        add(data, "Puradsi Fm Via Isaiyaruvi Fm- 1st 3D Tamil Fm", "Puradsi Fm Via Isaiyaruvi Fm- 1st 3D Tamil Fm", "http://184.82.87.122:8910", "96 kbps", "MP3", "http://puradsifm.com/", "Tamil", "");
        add(data, "CALMRADIO.COM - POSITIVITY - Sampler", "CALMRADIO.COM - POSITIVITY - Sampler", "http://173.192.225.172:8508", "128 kbps", "", "http://calmradio.com - Commercial-Free Subscriptions are Available - See Website for Details", "Classical New Age", "");
        add(data, "FLOW 103 - HIP HOP and R&B", "FLOW 103 - HIP HOP and R&B", "http://173.245.71.186:80", "128 kbps", "MP3", "http://www.flow103.com", "Pop Rap R&B Urban Hip Hop", "");
        add(data, "Lite Favorites - Soft Fresh & Contemporary! The Bright New Sound of LiteFavorites.com", "Lite Favorites - Soft Fresh & Contemporary! The Bright New Sound of LiteFavorites.com", "http://74.91.20.139:8012", "128 kbps", "MP3", "http://www.LiteFavorites.com", "Pop Rock 70s 80s 90s 2000s Oldies Soft Easy Lite", "");
        add(data, "Pop Fusion! Where the hits happen!!!", "Pop Fusion! Where the hits happen!!!", "http://65.60.25.242:9006", "64 kbps", "MP3", "http://www.popfusionradio.com", "pop rock alternative", "");
        add(data, "Big R Radio - Alternative Rock", "Big R Radio - Alternative Rock", "http://67.228.177.131:8040", "128 kbps", "MP3", "http://www.bigrradio.com", "Alternative, Rock", "");
        add(data, "TANGO - La 2x4 FM 92.7 - Gobierno de la Ciudad de Buenos Aires", "TANGO - La 2x4 FM 92.7 - Gobierno de la Ciudad de Buenos Aires", "http://190.216.63.51:9270", "64 kbps", "MP3", "http://radios.argentina.fm/tunein.php/la2x4/playlist.pls", "Misc", "");
        add(data, "AceRadio - The 80s Soft Channel", "AceRadio - The 80s Soft Channel", "http://173.193.32.131:8520", "128 kbps", "MP3", "http://www.aceradio.net", "80s", "");
        add(data, "Desi Music Mix! Desi Radio playing Hindi, Punjabi music, 24/7!", "Desi Music Mix! Desi Radio playing Hindi, Punjabi music, 24/7!", "http://66.23.234.242:8012", "128 kbps", "MP3", "http://www.desimusicmix.com", "Bollywood, Hindi, Punjabi, Bhangra, Desi", "");
        add(data, "Onda Cero Madrid Norte", "Onda Cero Madrid Norte", "http://94.23.58.210:80", "128 kbps", "MP3", "http://www.ondaceromadridnorte.es", "Various", "");
        add(data, "#MUSIK.SCHLAGER - WWW.SCHLAGERRADIO.FM - 24H SCHLAGER DISCOFOX VOLKSMUSIK AND MORE!", "#MUSIK.SCHLAGER - WWW.SCHLAGERRADIO.FM - 24H SCHLAGER DISCOFOX VOLKSMUSIK AND MORE!", "http://193.34.51.80:80", "128 kbps", "MP3", "http://www.SchlagerRadio.FM/", "Pop Schlager Discofox", "");
        add(data, "RADYO ZERGAN", "RADYO ZERGAN", "http://188.165.24.204:9998", "32 kbps", "MP3", "http://www.radyozergan.com", "Turkce Turkish Slow Pop", "");
        add(data, "IPAUTA.FM", "IPAUTA.FM", "http://174.37.16.73:2260/Live", "128 kbps", "MP3", "http://ipauta.fm", "Reggaeton", "");
        add(data, "Radio Dzungla Doboj I program", "Radio Dzungla Doboj I program", "http://93.186.192.160:16000", "128 kbps", "MP3", "http://www.dzungla.net", "Folk", "");
        add(data, "Pinas Music Zone! Bayani! Online Radio | Philippines | Pinoy | Dubai | UAE | Japan | Korea | Switzerland - Auto DJ", "Pinas Music Zone! Bayani! Online Radio | Philippines | Pinoy | Dubai | UAE | Japan | Korea | Switzerland - Auto DJ", "http://173.192.70.154:7638", "64 kbps", "MP3", "http://www.pinasmusiczone.com", "Assorted", "");
        add(data, "Radio Ovacion 620am", "Radio Ovacion 620am", "http://206.217.207.207:8077", "56 kbps", "MP3", "http://ovacion.pe/", "Misc", "");
        add(data, "Dirty South Radio Online Thug Zone Radio Playing The Best In Hip Hop Music", "Dirty South Radio Online Thug Zone Radio Playing The Best In Hip Hop Music", "http://174.37.110.72:8010", "128 kbps", "MP3", "http://www.thugzone.com", "hip hop Gangsta Rap", "");
        add(data, "1.FM - ABSOLUTE TOP 40 RADIO", "1.FM - ABSOLUTE TOP 40 RADIO", "http://205.164.62.22:8075", "128 kbps", "MP3", "http://www.1.fm", "Top 40, dance, rock, hip hop", "");
        add(data, "Radio Okapi - Fondation Hirondelle - MONUSCO", "Radio Okapi - Fondation Hirondelle - MONUSCO", "http://159.253.145.178:8570", "56 kbps", "MP3", "http://s1.viastreaming.net:8570/listen.pls", "Radio de la paix RDC", "");
        add(data, "The Vibe Of Vegas", "The Vibe Of Vegas", "http://108.61.73.118:8074", "128 kbps", "MP3", "http://www.myvibelv.com", "Dance House Trance", "");
        add(data, "#MUSIK.LOUNGE - WWW.RAUTEMUSIK.FM - 24H CHILLOUT AMBIENT SMOOTH JAZZ DOWNTEMPO LATIN SOUL AND MORE!", "#MUSIK.LOUNGE - WWW.RAUTEMUSIK.FM - 24H CHILLOUT AMBIENT SMOOTH JAZZ DOWNTEMPO LATIN SOUL AND MORE!", "http://193.34.51.18:80", "128 kbps", "MP3", "http://www.RauteMusik.FM/lounge/", "Jazz Easy Listening Funk", "");
        add(data, "La Tapatia 103.5 FM", "La Tapatia 103.5 FM", "http://184.107.143.10:8030", "80 kbps", "MP3", "http://www.audiorealm.com", "Various", "");
        add(data, "Casa de Oración Radio", "Casa de Oración Radio", "http://216.87.171.48:9126", "64 kbps", "MP3", "http://www.casadeoracionmexico.info", "Christian", "");
        add(data, "Big R Radio - 90s Alternative", "Big R Radio - 90s Alternative", "http://174.36.42.110:8030", "128 kbps", "MP3", "http://bigrradio.com", "Alternative, 90s", "");
        add(data, "Today's Hot Country", "Today's Hot Country", "http://66.55.148.27:9038", "96 kbps", "MP3", "http://www.todayshotcountry.com", "Country", "");
        add(data, "JewishBrodcast.com: jewishbroadcast.com 2 Lo", "JewishBrodcast.com: jewishbroadcast.com 2 Lo", "http://184.154.77.130:8020", "64 kbps", "MP3", "http://www.jewishbroadcast.com", "Jewish Music", "");
        add(data, "24x7 Live Shows-NSBRadio.co.uk. The worlds biggest breaks & breakbeat radio station - NSB Radio", "24x7 Live Shows-NSBRadio.co.uk. The worlds biggest breaks & breakbeat radio station - NSB Radio", "http://65.23.157.233:7904", "128 kbps", "MP3", "http://www.nsbradio.co.uk", "Breakbeat Breaks Electro", "");
        add(data, "Audio Noir - 100% Hardboiled OTR!", "Audio Noir - 100% Hardboiled OTR!", "http://208.53.138.125:8242", "48 kbps", "MP3", "http://AudioNoir.Com", "Old Time Radio", "");
        add(data, "BEST SMOOTH JAZZ - UK", "BEST SMOOTH JAZZ - UK", "http://64.95.243.144:8002", "128 kbps", "MP3", "http://BSJ-FM.com", "smooth jazz jazz", "");
        add(data, "Crystal Radio - Beautiful Music - Easy Listening", "Crystal Radio - Beautiful Music - Easy Listening", "http://50.22.217.204:8000", "128 kbps", "MP3", "http://crystalradio.ca", "Beautiful Easy Listening", "");
        add(data, "Radio FUNKY Manele Romania - www.RadioFunky.Ro - | Etno Populara Top 40 Petrecere | - host by GlobaLServer.Ro", "Radio FUNKY Manele Romania - www.RadioFunky.Ro - | Etno Populara Top 40 Petrecere | - host by GlobaLServer.Ro", "http://188.212.107.172:8888", "112 kbps", "MP3", "http://www.RadioFunky.Ro", "Manele Romania Etno Colinde", "");
        add(data, "hiru", "hiru", "http://85.25.108.20:8060", "48 kbps", "MP3", "http://www.hirufm.lk", "sinhala", "");
        add(data, "Radio Central AM", "Radio Central AM", "http://187.17.67.228:9008", "96 kbps", "MP3", "http://www.radiocentral.com.br", "Various", "");
        add(data, "Radio Omega Hitz Brasil", "Radio Omega Hitz Brasil", "http://192.95.0.98:8000", "48 kbps", "MP3", "http://www.omegahitz.com.br", "House Tribal Pop Dance Gay", "");
        add(data, "Polka Jammer Network", "Polka Jammer Network", "http://74.115.212.124:80", "128 kbps", "MP3", "http://www.polkajammernetwork.org", "Polka", "");
        add(data, "liveireland Live From Dublin, Ireland.", "liveireland Live From Dublin, Ireland.", "http://66.90.73.250:8080", "128 kbps", "MP3", "http://www.liveireland.com", "Celtic, Irish, Folk", "");
        add(data, "Aardvark Rock FM", "Aardvark Rock FM", "http://50.7.98.106:8655", "128 kbps", "MP3", "http://www.aardvarkrockfm.com", "Rock", "");
        add(data, "AceRadio - 90s Alternative Rock", "AceRadio - 90s Alternative Rock", "http://174.36.108.142:8420", "128 kbps", "MP3", "http://www.aceradio.net", "90s, Alt, Rock", "");
        add(data, "Power Hit Radio", "Power Hit Radio", "http://90.191.225.198:9000", "65 kbps", "MP3", "www.power.ee", "poweree", "");
        add(data, "Joya Stereo", "Joya Stereo", "http://178.33.237.151:7012", "32 kbps", "MP3", "http://www.audiorealm.com", "Various", "");
        add(data, "Radio Brocken", "Radio Brocken", "http://80.237.210.58:80", "128 kbps", "MP3", "http://www.radiobrocken.de", "Pop", "");
        add(data, "The Very Best Of Art Bell (U7Radio.org)", "The Very Best Of Art Bell (U7Radio.org)", "http://213.163.67.77:8400", "24 kbps", "MP3", "http://www.u7radio.org", "Other Talk", "");
        add(data, "KCRW ALL NEWS: World News featuring BBC, NPR and PRI", "KCRW ALL NEWS: World News featuring BBC, NPR and PRI", "http://stream-22.shoutcast.com:80/goapsy_mp3_96kbps", "64 kbps", "MP3", "http://www.kcrw.org", "News", "");
        add(data, "181.FM - Classic Buzz -=- Classic Alternative Rock", "181.FM - Classic Buzz -=- Classic Alternative Rock", "http://108.61.73.118:8038", "128 kbps", "MP3", "http://www.181.fm", "Alternative Classic Rock", "");
        add(data, "Rádio Transamérica", "Rádio Transamérica", "http://200.170.207.17:8000", "64 kbps", "MP3", "http://www.transanet.com.br", "POP", "");
        add(data, "1.FM - Classic Country", "1.FM - Classic Country", "http://205.164.62.22:7806", "128 kbps", "MP3", "http://www.1.fm", "Country", "");
        add(data, "Radio Swing Worldwide", "Radio Swing Worldwide", "http://208.53.158.48:8100", "128 kbps", "MP3", "http://RadioSwingWorldwide.com", "30s 40s Swing Big Band Jazz", "");
        add(data, "Breezy Radio", "Breezy Radio", "http://50.22.217.204:8307", "128 kbps", "MP3", "http://www.breezyradio.org", "Jazz", "");
        add(data, "Beat Blender: A late night blend of deep-house & downtempo chill. [SomaFM]", "Beat Blender: A late night blend of deep-house & downtempo chill. [SomaFM]", "http://38.104.130.91:8388", "128 kbps", "MP3", "http://somafm.net/recent/?beatblender", "Downtempo House Techno", "");
        add(data, "Arrow Classic Rock", "Arrow Classic Rock", "http://81.173.3.132:8082", "64 kbps", "MP3", "http://www.arrow.nl/rock", "Classic Rock", "");
        add(data, "sunuradiotv Stream - Radio Xassida Online Touba Mondebi", "sunuradiotv Stream - Radio Xassida Online Touba Mondebi", "http://99.198.118.250:8130", "32 kbps", "MP3", "http://localhost/", "Unspecified", "");
        add(data, "100hitz - New Country", "100hitz - New Country", "http://173.244.215.162:8120", "128 kbps", "MP3", "http://www.100hitz.com", "Country, Todays Country, Modern Country", "");
        add(data, "Radio Funk Brasil", "Radio Funk Brasil", "http://64.56.64.84:9908", "48 kbps", "MP3", "http://www.radiofunkbrasil.com.br", "A Rádio que mais toca Funk do UNIVERSO", "");
        add(data, "TURKURADYO.NET ... TURKU RADYO ... TURKURADYO.NET", "TURKURADYO.NET ... TURKU RADYO ... TURKURADYO.NET", "http://95.211.60.38:4591", "56 kbps", "MP3", "http://www.turkuradyo.net", "Folk - International", "");
        add(data, "Heartbeatz.FM 100% Pure Romance", "Heartbeatz.FM 100% Pure Romance", "http://85.25.226.223:8008", "128 kbps", "MP3", "http://www.heartbeatz.fm", "Easy Listening", "");
        add(data, "Taksidi net 3900 songs from Greece www.isobitis.com", "Taksidi net 3900 songs from Greece www.isobitis.com", "http://204.45.8.170:8069", "128 kbps", "MP3", "http://www.isobitis.com", "greek music", "");
        add(data, "Always Hot Country", "Always Hot Country", "http://204.45.6.58:8085", "64 kbps", "MP3", "http://alwayshotcountry.com", "Country", "");
        add(data, "HALA FM - JORDAN", "HALA FM - JORDAN", "http://213.139.44.213:8164", "64 kbps", "MP3", "http://www.hala.jo", "Arabic Music", "");
        add(data, "WWNO - NPR - Classical Music - New Orleans", "WWNO - NPR - Classical Music - New Orleans", "http://205.164.41.50:7200", "128 kbps", "MP3", "http://nyc01.egihosting.com:7200/listen.pls", "NPR, Classical", "");
        add(data, "Loca Fm Live Web", "Loca Fm Live Web", "http://5.39.66.128:23500", "128 kbps", "MP3", "http://www.locafm.com", "dance", "");
        add(data, "Big R Radio - 80s Metal FM", "Big R Radio - 80s Metal FM", "http://67.228.177.131:8310", "128 kbps", "MP3", "http://www.bigrradio.com", "80s, Metal, Rock", "");
        add(data, "The Home of the Big Bands - KCEA-FM", "The Home of the Big Bands - KCEA-FM", "http://69.12.217.101:8000", "80 kbps", "MP3", "http://www.kcea.org", "Big Band/Swing", "");
        add(data, "Big R Radio - Golden Oldies", "Big R Radio - Golden Oldies", "http://174.36.108.142:8740", "128 kbps", "MP3", "http://www.bigrradio.com", "Oldies, 50s, 60s, Gold", "");
        add(data, "Shanson KAFE", "Shanson KAFE", "http://89.149.254.218:6705", "128 kbps", "MP3", "http://www.shansonkafe.ru", "Shanson", "");
        add(data, "4 Ever Floyd", "4 Ever Floyd", "http://99.198.112.59:8000", "128 kbps", "MP3", "http://www.4EverFloyd.com", "Rock,Classic Rock", "");
        add(data, "Irish Favourites - IRISH PUB RADIO - LIVE FROM IRELAND (IRISH, FOLK, CELTIC, BALLADS, STORIES)", "Irish Favourites - IRISH PUB RADIO - LIVE FROM IRELAND (IRISH, FOLK, CELTIC, BALLADS, STORIES)", "http://173.243.113.203:8242", "128 kbps", "MP3", "http://www.irishpubradio.com", "Folk", "");
        add(data, "181.FM - Classical Guitar", "181.FM - Classical Guitar", "http://108.61.73.117:8020", "128 kbps", "MP3", "http://www.181.fm", "Classical Guitar", "");
        add(data, "Radio PARTY MIXX", "Radio PARTY MIXX", "http://141.0.169.245:8000", "128 kbps", "", "www.party-mixx.com", "Various", "");
        add(data, "LA GIGANTE DE ORIENTE Tel. 79451518", "LA GIGANTE DE ORIENTE Tel. 79451518", "http://184.173.77.4:9846", "128 kbps", "MP3", "http://lagigantedeoriente.com/", "Various", "");
        add(data, "ChroniX Metal - Loud & Clear - www.chronixradio.com", "ChroniX Metal - Loud & Clear - www.chronixradio.com", "http://173.192.45.18:10100", "128 kbps", "MP3", "http://www.chronixradio.com", "METAL", "");
        add(data, "PANDASHOWRADIO.COM - Pranks in spanish, live from Mexico City, featuring El Panda Zambran", "PANDASHOWRADIO.COM - Pranks in spanish, live from Mexico City, featuring El Panda Zambran", "http://173.193.138.136:7290", "24 kbps", "MP3", "http://www.pandashowradio.com", "latin latino cumbia salsa", "");
        add(data, "Happyday Newage Radio EZ Channel", "Happyday Newage Radio EZ Channel", "http://222.122.131.69:8000", "128 kbps", "MP3", "http://inewage.com/happyday", "Classical,New Age,Easy Listening", "");
        add(data, "Metropol FM", "Metropol FM", "http://91.121.193.100:8200", "64 kbps", "MP3", "http://www.metropolfm.de", "World", "");

        //System.out.println("Loaded " + data.size() + " radio stations");
    }

    public List<List<Object>> getData() {
        return data;
    }
    
    void add(String name, String description, String url, String bitrate, String type, String website, String genre, String pls) {
        add(data, name, description, url, bitrate, type, website, genre, pls);
    }

    private void add(List<List<Object>> data, String name, String description, String url, String bitrate, String type, String website, String genre, String pls) {
        if (nameSet.contains(name)) {
            return;
        }
        
        List<Object> row = new LinkedList<Object>();

        row.add(name);
        row.add(description);
        row.add(url);
        row.add(bitrate);
        row.add(type);
        row.add(website);
        row.add(genre);
        row.add(pls);

        data.add(row);
        nameSet.add(name);
    }
}
