/*
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package com.limegroup.gnutella.gui.init;

/**
 * Signifies that an exception has occurred in applying a setting during
 * setup.
 */
public class ApplySettingsException extends Exception {

    /**
     * 
     */
    private static final long serialVersionUID = 6921739192150900295L;

    /**
     * Constructs an ApplySettingsException with <code>null</code>
     * as its error detail message.
     */
    public ApplySettingsException() {
        super();
    }

    /**
     * Constructs an ApplySettingsException with the specified detail
     * message. The error message string <code>s</code> can later be
     * retrieved by the <code>{@link java.lang.Throwable#getMessage}</code>
     * method of class <code>java.lang.Throwable</code>.
     *
     * @param   s   the detail message.
     */
    public ApplySettingsException(String s) {
        super(s);
    }
}
